debian-edu-install (2.12.11) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders. It was a pleasure and an honor!

 -- Holger Levsen <holger@debian.org>  Thu, 13 Mar 2025 20:39:32 +0100

debian-edu-install (2.12.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix security mirror URL generated by apt-setup generator script.
    Closes: #1058788.
  * Remove non-free and contrib repository components. Closes: #1058789.

  [ Guido Berhoerster ]
  * Add systemd service files equivalent to xdebian-edu-firstboot init script.
  * Adjust debian-edu-testsuite to new UID/GID of first user.

  [ Mike Gabriel ]
  * d/changelog: typo fix in previous upload stanza.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Dec 2023 11:07:01 +0100

debian-edu-install (2.12.9) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Adjust D-I auto-partitioning sizes for bullseye and bookworm (closes:
    #1038792):
    - Only show profiles in make minimum-diskreq
    - Add partition size data for bullseye
    - Properly declare phony targets in Makefile
    - Increase partition sizes for main-server (90edumain)
    - Increase partition sizes for main-server + thinclient-server (91edumain+
      ltsp)
    - Increase partition sizes for main-server + workstation (92edumain+ws)
    - Update after running 'make update-partman-recipes'
  * README: Fix measured sizes of /srv/ltsp.

  [ Mike Gabriel ]
  * debian-edu-profile:
    - Use '=' instead of '==' in dash script. Thanks, lintian.
  * lib/debian-edu-common:
    - Add shebang (#!/bin/sh) to silence lintian with 'W: debian-edu-profile-
      udeb udeb: executable-not-elf-or-script [lib/debian-edu-common]'.
  * debian/debian-edu-profile-udeb.postinst:
    + Drop #DEBHELPER# macro. They have no effect in udeb:pkgs. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 16:32:09 +0200

debian-edu-install (2.12.8) unstable; urgency=medium

  * turkish debconf translation update, thanks to Atila KOÇ. Closes: #1031667.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Feb 2023 10:15:55 +0100

debian-edu-install (2.12.7) unstable; urgency=medium

  * Adjust lib/partman/common/(91edumain+ltsp|92edumain+ws|94edultsp|96eduwork|
    98edustandalone), increase both minimum and maximum values by 2 GiB for
    /usr (or / when there is no seperate /usr partition) and by 1 GiB for /var
    (or / when there is no seperate /var partition) to cope with increased
    packages sizes.
  * Adjust lib/partman/common/(91edumain+ltsp|94edultsp), increase both minimum
    and maximum values by 2 GiB for /srv/ltsp to cope with increased packages sizes.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jan 2023 17:08:12 +0100

debian-edu-install (2.12.6) unstable; urgency=medium

  * debian/debian-edu-profile-udeb.templates: update list of current release
    names.
  * d/control:
    - drop obsolete depends on lsb-base, thanks lintian.
    - bump standards version to 4.6.2, no changes needed.
  * debian-edu-install.lintian-overrides:
    -  adopt to new syntax.
    -  override false-positive unused-debconf-template warnings.

 -- Holger Levsen <holger@debian.org>  Sat, 28 Jan 2023 12:31:46 +0100

debian-edu-install (2.12.5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian-edu-profile:
    - Add --timeout and -tries options to wget call to avoid very long
      waiting times during installation if tjener.<search-domain> is
      resolvable on the network, but the IP resolved is offline.
      Closes: #1008038.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Apr 2022 18:14:36 +0200

debian-edu-install (2.12.4) unstable; urgency=medium

  [ Mike Gabriel ]
  * preseed-values/defaults.networked: Use ca-certificates.crt file
    for pre-seeding nslcd/ldap-cacertfile (as that one include the
    previously used debian-edu-server.crt file). (Closes: #1004586).

 -- Holger Levsen <holger@debian.org>  Mon, 07 Feb 2022 01:42:18 +0100

debian-edu-install (2.12.3) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add autopkgtest: Check if education tasks show up in tasksel.
  * lintian-overrides: Add entry for missing-systemd-service-for-init.d-script.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Oct 2021 22:53:44 +0200

debian-edu-install (2.12.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * version: Replace 11+edu0 with 12 as Debian bookworm is targeted. Adding
     'edu0' doesn't make sense since official Debian ISO images are available.
  * lib/partman/common/{91edumain+ltsp,94edultsp}:
    - Increase both minimum and maximum values by ~20 GiB to have enough disk
      space for both diskless workstation and thin client chroots, and also for
      related SquashFS images in case these are generated.
    - Drop partition for mountpoint /var/opt/ltsp/swapfiles; the new LTSP
      doesn't support NBD swap.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Sep 2021 21:44:47 +0200

debian-edu-install (2.12.1) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 2.12.1 as Debian 12 (bookworm) is targeted.
  * Bump standards version to 4.6.0, no changes needed.
  * Remove obsolete powerpc recipes. Support for PowerPC systems has been
    dropped years ago. (Closes: #989485)
    - Remove related files and directories.
    - Update recipes' status via running 'make update-partman-recipes'.
    - Adjust debian/debian-edu-profile-udeb.dirs and Makefile.
    - debian-edu-profile: Adjust case statement to reflect the change.

 -- Holger Levsen <holger@debian.org>  Sat, 04 Sep 2021 01:17:46 +0200

debian-edu-install (2.11.13) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add partitioning recipes to support UEFI systems. (Closes: #988396)
    Thanks to Cyril Etcheverria for detecting the bug and for providing useful
    additional information.
    - lib/partman/: Add EFI partition related configuration file
      'recipes-amd64-efi-specific' and directory 'recipes-amd64-efi'.
    - lib/partman/common/*: Adjust common recipes concerning the /boot partition
      to match the UEFI related change.
      (Code for both /boot and EFI partitions taken from src:d-i/partman-auto.)
    - Generate / update recipes via running 'make update-partman-recipes'.
    - Adjust debian/debian-edu-profile-udeb.dirs and Makefile.
  * debian-edu-profile: Adjust case statement to let the EFI recipes take effect
    during installation.

 -- Holger Levsen <holger@debian.org>  Mon, 24 May 2021 12:43:46 +0200

debian-edu-install (2.11.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partman recipes in lib/partman/common/*: Closes: #987225)
    - Increase minimum by 0.5GiB for / (workstation profile) resp. /var
      (other profiles). This ensures enough space for (temporarily) caching debs
      in case the netinst ISO image is used or installation happens via PXE.
      Thanks to Philip Hands for spotting this on https://openqa.debian.net.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Apr 2021 15:46:08 +0200

debian-edu-install (2.11.11) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * version: Drop ~a0 from version string now that Debian ISO images are build
    for Bullseye.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Dec 2020 12:13:05 +0100

debian-edu-install (2.11.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-profile-udeb.postinst: Drop LTSP5 related tweaking.
  * debian/control: Use https://blends.debian.org/edu as homepage.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2020 09:25:59 +0200

debian-edu-install (2.11.9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Avoid scrolling on the Debian Edu profile choice page during installation:
    - Re-format debian/debian-edu-profile-udeb.templates to reduce the amount
      of lines.
    - Update debian/po/{templates.pot,*.po} files after running
      'debconf-updatepo'.
    - Apply some trivial unfuzzy/cleanup/adjustment to debian/po/*.po files.

  [ Holger Levsen ]
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Fri, 22 May 2020 11:45:48 +0200

debian-edu-install (2.11.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * lib/partman/common/{91edumain+ltsp,94edultsp}:
    Use 5 GiB more for /srv/ltsp just in case several thin-client chroot types
    are wanted.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Apr 2020 01:03:03 +0200

debian-edu-install (2.11.7) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop preseeding for Icinga 2.
    The reworked icinga2 and icingaweb2 setup now cares for the login
    configuration; the first user will be able to log into the web UI.

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:16:06 +0100

debian-edu-install (2.11.6) unstable; urgency=medium

  [ Holger Levsen ]
  * Change package description: Set d-i values to install Debian Edu *with*
    *less* questions (not without).

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop tftpd-hpa preseeding now that
    iPXE is used for PXE installations.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Mar 2020 14:27:11 +0100

debian-edu-install (2.11.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop no longer needed preseed value
    for tftpd-hpa; the default directory will now be used for LTSP and PXE.
  * preseed-values/defaults.networked: Fix default-x-display-manager preseeding.

  [ Holger Levsen ]
  * Wrap long lines in changelog entries: 0.658, 0.654, thanks lintian-brush.

 -- Holger Levsen <holger@debian.org>  Tue, 10 Mar 2020 21:03:08 +0100

debian-edu-install (2.11.4) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile:
    - Remove LTSP related location from slbackup preseeding.
    - Update comment concerning offline installation media.
  * Adjust partition sizes now that LTSP uses /srv/ltsp instead of /opt/ltsp to
    store images/thin client chroots and /srv/tftp to store kernels and initrds:
    - lib/partman/common/{91edumain+ltsp,94edultsp}:
      + Replace mountpoint /opt with /srv/ltsp.
      + Add 512 MiB to / (to have enough space for /srv/tftp).
      + Use 15 GiB less for /srv/ltsp (fat client chroots are gone, the image
        is now built from the server filesystem).
  * Update after running 'make update-partman-recipes'.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Git.

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Jan 2020 18:27:50 +0100

debian-edu-install (2.11.3) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjustments for re-written LTSP setup:
    - d/control: Drop Depends on ltsp-client-builder (udeb).
    - preseed-values/defaults.ltsp-server: Drop no longer needed items.

  [ Holger Levsen ]
  * Update some outdated comments in several locations.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Nov 2019 14:09:07 +0100

debian-edu-install (2.11.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server:
    - Adjust preseeding after replacing icinga with icinga2 and
      icinga2-classicui (cgi is enabled by default).

  [ Holger Levsen ]
  * d/control:
    - bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 08 Oct 2019 11:28:45 +0200

debian-edu-install (2.11.1) unstable; urgency=medium

  * d/changelog: bump version number for Debian 11 Bullseye.
  * version: bump to 11+edu0~a0 as well.
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Fri, 09 Aug 2019 13:01:05 +0200

debian-edu-install (2.10.21) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Set version number to 10+edu0 in preparation of the Debian Buster release.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Mar 2019 12:42:12 +0000

debian-edu-install (2.10.20) unstable; urgency=medium

  * preseed-values/defaults.common:
    - stop submitting to popcon.skolelinux.org as its unmaintained.
    - use https for submitting to popcon.debian.org.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Feb 2019 14:07:13 +0100

debian-edu-install (2.10.19) unstable; urgency=medium

  * d/rules:
    - use dh_lintian instead of handcrafting commands.
    - stop installing a lintian override for debian-edu-profile-udeb.
  * Fix spelling error in previous changelog entry, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 15:48:53 +0100

debian-edu-install (2.10.18) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework preseed files. It will allow one to reduce the number of #311188
    issues:
    - preseed-values/defaults.workstation:
      Drop obsolete entries for cvs and xserver-xorg.
    - preseed-values/defaults.standalone:
      Drop obsolete entries for cvs, ntp-simple and ifupdown.
    - preseed-values/defaults.networked:
      + Drop obsolete entry for ocsinventory-agent.
      + Use FQDN for the gosa-desktop URL.
      + Set nslcd/ldap-cacertfile string to point to the debian-edu-server.crt.
      + Change the nslcd/ldap-reqcert string from 'never' to 'demand'.
      + Add settings for lightdm and sddm (trying to prefer lightdm; sddm lacks
        a language-chooser).
    - preseed-values/defaults.common:
      + Drop obsolete entries for discover, ntp-simple, xserver-xorg, dash and
        scsiadd.
      + Drop workaround for dictionaries-common/default-{ispell,wordlist}; the
        related bug has probably been due to education-desktop-other
        recommending tmispell-voikko. Preseeding both ispell and wordlist with
       'Manual symlink setting' leaves the user without those if an application
        doesn't choose one. That's maybe not what a user expects.
    - preseed-values/defaults.main-server:
      + Drop obsolete entries for dhcp3-server, ntp-simple, calamaris,
        foomatic-bin, fetchmail, squid, courier-base, courier-ssl and atftpd.
      + Adjust entries for bind9 (options) and tftpd-hpa (drop '--secure' option
        so that both PXE and LTSP could be served).
    - preseed-values/defaults.ltsp-server:
      + Drop obsolete entries for aftpd and dhcp3-server.
      + Adjust entries for slbackup (new default LTSP chroot) and tftpd-hpa.

  [ Holger Levsen ]
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Dec 2018 12:48:05 +0100

debian-edu-install (2.10.17) unstable; urgency=medium

  * Rename debian-edu-install.lintian-override to
    debian-edu-install.lintian-overrides to align it with the rest, also
    adjust debian/rules as needed.
  * Add debian/debian-edu-profile-udeb.lintian-overrides as lintian wrongly
    tags uses-dpkg-database-directly. Also add a command to install this file
    via debian/rules.

 -- Holger Levsen <holger@debian.org>  Sat, 01 Dec 2018 13:10:50 +0100

debian-edu-install (2.10.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework debian/debian-edu-install.xdebian-edu-firstboot.init
    - Add code to send the testsuite error output also via email to the first
      user; it's already the only way if gdm3 is used (wayland is default) and
      provides a better readable output. The test result report can be triggered
      by adding the additional testinstall parameter to the kernel commandline.
    - Adjust testsuite error check code.
    - Replace kdm X check with one for sddm, adjust code accordingly.
    - Drop no longer useful gdm and gdm3 related X checks.
    - Cleanup from usplash related code, usplash is gone since years.
  * Cleanup and adjust debian-edu-profile:
    - Remove leftover cruft from test distribution days.
    - Adjust distribution check accordingly.
  * Cleanup apt-setup/generators/70debian-edu-install:
    - Remove volatile related code, obsolete since years.
    - Remove leftover cruft from test distribution days.
  * Cleanup tools/edu-is-testinstall from leftover cruft.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Nov 2018 14:23:10 +0100

debian-edu-install (2.10.15) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * d/control: Replace libgtk2-perl with libgtk3-perl (Closes: #912873).
  * Adjust d/debian-edu-install.xdebian-edu-firstboot.init:
    - Fix perl module check to match libgtk3-perl, adjust the related comment.

  [ Holger Levsen ]
  * d/control:
    - Use the new debhelper-compat(=11) notation and drop d/compat.
    - Drop version from dependency on lsb-base.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Nov 2018 14:42:19 +0100

debian-edu-install (2.10.14) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * pre-pkgsel: Cleanup after squid workaround removal from base-installer.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Oct 2018 15:17:58 +0200

debian-edu-install (2.10.13) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Re-enable the use of already downloaded packages to speed up LTSP chroot
    installation:
    - debian/debian-edu-profile-udeb.postinst: Prevent pkgsel from running
      'apt-get clean'; the cache is cleaned anyway at the very end of the
      installation.
  * base-installer: Drop workaround for bug #565555 (squid related). This bug
    has been fixed in 2015, testing has shown that the workaround isn't needed
    anymore.

  [ Holger Levsen ]
  * Bump standards version to 4.2.1, no changes needed.
  * rules & changelog: remove an empty line and fix some whitespaces,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Sep 2018 00:01:12 +0200

debian-edu-install (2.10.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add Depends on eatmydata and etckeeper. Both packages are needed early in
    the installation process and need to be available on offline installation
    media.

  [ Holger Levsen ]
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Aug 2018 09:52:33 +0200

debian-edu-install (2.10.11) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile: Drop no longer needed base-installer modification.
    Thanks to Steve McIntyre for the hint.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jul 2018 18:03:32 +0800

debian-edu-install (2.10.10) unstable; urgency=medium

  * lib/partman/recipes-doc/particulator.sh: update to point to the new
    partman-auto-recipe.txt location on salsa.
  * Bump standards version to 4.1.5, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Jul 2018 14:32:03 +0000

debian-edu-install (2.10.9) unstable; urgency=medium

  * d/control:
    - update Vcs: headers to point to salsa.debian.org.
    - bump standards version to 4.1.4, no changes needed.
  * README: update to point to the new partman-auto-recipe.txt location on
    salsa.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 12:25:49 +0000

debian-edu-install (2.10.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partition sizes to have enough space left in case KDE is used.
    - lib/partman/common/(91edumain+ltsp|94edultsp):
      Add 3 GiB to both /usr and /opt .
    - lib/partman/common/(92edumain+ws|96eduwork):
      Add 3 GiB to /usr.
    - lib/partman/common/98edustandalone:
      Add 3 GiB to /.
  * Update after running 'make update-partman-recipes'.

  [ Holger Levsen ]
  * debian/control:
    - fix path in Vcs-Git.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Feb 2018 15:24:54 +0000

debian-edu-install (2.10.7) unstable; urgency=medium

  * Bump debian/compat to 11 and build-depend on debhelper >= 11~.
  * debian/control:
    - only define Priority once, thanks lintian.
    - use https for Vcs-Git.
  * Drop unused lintian-override for package-contains-empty-directory
    lib/debian-edu-install/.
  * debian/changelog: fix trailing whitespace.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Feb 2018 14:25:02 +0000

debian-edu-install (2.10.6) unstable; urgency=medium

  * Bump package version to 2.10.6, to mark this as the 6th upload of
    src:debian-edu-install in the Debian 10 (Buster) development cycle.
  * Bump standards version to 4.1.3, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 22 Jan 2018 10:34:16 +0000

debian-edu-install (1.921) unstable; urgency=medium

  * debian/control:
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've also confirmed that the build output is bit by bit identical with
      and without this.)
    - Bump standards version to 4.1.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 18 Dec 2017 16:08:43 +0000

debian-edu-install (1.920) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile:
    - Enable plain apt proxy use on NATed network. Allows one to set such a
      proxy (like e.g. apt-cacher-ng) on the kernel command line (or in expert
      mode via d-i gui) if on a network with a running DHCPD server or on a
      network with NAT enabled on the gateway and manual network configuration
      on the client.
    - Test internet connectivity against deb.debian.org instead of using
      ftp.debian.org.
  * preseed-values/defaults.common: Fix default mirror setting.
    - Use deb.debian.org instead of http.debian.net.

  [ Holger Levsen ]
  * debian/control: set priority to optional, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Nov 2017 11:52:32 +0000

debian-edu-install (1.919) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop version from Build-Depends-Indep: on dash, that version is satisfied
    in oldoldstable even.

 -- Holger Levsen <holger@debian.org>  Sun, 01 Oct 2017 17:33:08 +0200

debian-edu-install (1.918) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-install.postinst: Drop no longer needed version numbers.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Sep 2017 16:05:36 +0200

debian-edu-install (1.917) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump Standards-Version to 4.0.1, no changes needed.
  * Drop no longer active people from uploaders, thanks for all your work:
    - Andrew Lee (李健秋).
  * debian-edu-install.postinst:
    - drop workaround for missing versions present between 1.810 and 1.813.
    - update version number in /etc/debian-edu/config on upgrades.
  * Bump version file to 10+edu0~a0 to reflect that we are working on Buster
    now.
  * base-installer: drop code disabled since 2012.

  [ Mike Gabriel ]
  * Overall white-space cleanup on all files in this package (strip white-
    spaces at EOL).
  * debian/control: Use my @d.o mail address in Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Aug 2017 14:26:42 -0400

debian-edu-install (1.916) unstable; urgency=medium

  * Set version number to 9+edu0 in preparation of the Debian Stretch release,
    which for the first time could also mark the Debian Edu Stretch release at
    the same time!

 -- Holger Levsen <holger@debian.org>  Tue, 30 May 2017 15:53:21 +0200

debian-edu-install (1.915) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust preseed-values/defaults.ltsp-server.
    Set 'ltsp-server' as value of server_packages instead of the default
    one (ltsp-server-standalone). (Closes: #856493)

  * Translation updates:
    - Greek, thanks to Παναγιώτης Γεωργακόπουλος.
    - Italian, thanks to Claudio Carboncini.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2017 17:21:09 +0100

debian-edu-install (1.914) unstable; urgency=medium

  * Translation updates:
    - Czech, thanks to Miroslav Kure. (Closes: #852191)

  [ Holger Levsen ]
  * Switch to native source format 3.0, to easily avoid including .git into
    the source package.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Feb 2017 17:48:48 +0100

debian-edu-install (1.913) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust main-server preseeding to match the Icinga2 -> Icinga change.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jan 2017 22:02:53 +0100

debian-edu-install (1.912) unstable; urgency=medium

  * Translation updates:
    - Basque, thanks to Iñaki Larrañaga (Dooteo). (Closes: #850045)
    - Romanian, thanks to Ionel Mugurel Ciobîcă.
    - Swedisch, thanks to Martin Bagge. (Closes: #851167)
    - French, thanks to Jean-Pierre Giraud. (Closes: #851327)

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2017 10:28:26 +0100

debian-edu-install (1.911) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add workaround to d-e-profile-udeb.postinst to allow installation of
    education tasks (unset DEBIAN_TASKS_ONLY).
  * (de) Ensure translation consistency (LTSP SERVER -> LTSP-SERVER).

  * Translation updates:
    - Indonesian, thanks to T. Surya Fajri.

 -- Holger Levsen <holger@debian.org>  Tue, 03 Jan 2017 15:27:05 +0100

debian-edu-install (1.910) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-install.postinst: Rename LTSP-server -> LTSP-Server to
    avoid unknown profile name.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Dec 2016 18:24:51 +0100

debian-edu-install (1.909) unstable; urgency=medium

  * Translation updates:
     - Russian, thanks to Yuri Kozlov. (Closes: #846907)
     - Danish, thanks to Joe Dalton. (Closes: #846939)
     - Japanese, thanks to Kenshi Muto. (Closes: #847042)
     - Brazilian Portuguese, thanks to Adriano Rafael Gomes. (Closes: #848202)
     - Catalan, thanks to Innocent De Marchi. (Closes: #847968)
  * Makefile, status target: don't hide completed translations.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Dec 2016 00:20:32 +0100

debian-edu-install (1.908) unstable; urgency=medium

  * Rename thin-client-server profile to ltsp-server-profile.
    (Closes: #588510)
    Some occurrences of Thin-Client-Server are still left in the code to
    support upgrades of systems installed before Stretch.
  * Update, translate and (un)fuzzy translations of the debconf templates for
    this change.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Dec 2016 16:04:54 +0100

debian-edu-install (1.907) unstable; urgency=medium

  [ Holger Levsen ]
  * Add depends to lsb-base (>= 3.0-6), thanks lintian.
  * Add .gitignore file to be able to ignore .nobackup.

  [ Wolfgang Schweer ]
  * Add another 4 GiB to min and max partition sizes for /opt to get
    enough space for LTSP NBD image files when updating an image.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Mon, 17 Oct 2016 14:38:29 +0200

debian-edu-install (1.906) unstable; urgency=medium

  * Stop using our own apt archive on ftp.skolelinux.org, see #836375:
    - debian/control: remove depends on debian-edu-archive-keyring-udeb.
    - pre-pkgsel: don't install the udeb and thus don'r run apt-update.
    - debian-edu-profile: drop d-i preseeding for local0 repository,
      also use ftp.debian.org to test whether the network is up.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Sep 2016 16:25:16 +0200

debian-edu-install (1.905) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add preseeding for tftpd-hpa also to defaults.main-server to enable
    installations via PXE for a pure main server.
  * Add preseeding for icinga2-classicui to defaults.main-server and
    drop the one for nagios3 now that nagios3 is missing and icinga2 is used.

 -- Holger Levsen <holger@debian.org>  Sat, 27 Aug 2016 12:30:54 +0200

debian-edu-install (1.904) unstable; urgency=medium

  [ Translation updates ]
  * Updated Latvian by Aigars Mahinovs.
  * Updated Basque by Iñaki Larrañaga (Dooteo).

 -- Holger Levsen <holger@debian.org>  Thu, 18 Aug 2016 13:03:26 +0200

debian-edu-install (1.903) unstable; urgency=medium

  * Override init.d-script-depends-on-all-virtual-facility lintian error as
    this we really want to run /etc/init.d/xdebian-edu-firstboot last in the
    bootsequence and only do this once per machine anyway.
  * Remove versioned dependencies from debian-edu-config and libgtk2-perl, the
    versions in jessie are recent enough.
  * Drop empty TODO file from source package.
  * Remove Andreas B. Mundt from uploaders - thanks for all your work, Andi!
  * Remove Alexander Alemayhu from uploaders - thank you too, Alexander!

 -- Holger Levsen <holger@debian.org>  Mon, 15 Aug 2016 15:23:42 +0200

debian-edu-install (1.902) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partion sizes (+4 GiB for /opt) in lib/partman/common like in
    lib/partman/recipes to have enough space for LTSP NBD image file.
  * Update after running update-partman-recipes.
  * Add forgotten type 'string' to fix grub preseeding (defaults.common).

 -- Holger Levsen <holger@debian.org>  Sat, 28 May 2016 10:55:06 +0200

debian-edu-install (1.901) unstable; urgency=medium

  * Update Brazilian Portuguese of debconf messages, thanks to Adriano Rafael
    Gomes. (Closes: #798039)
  * Set version number to 9+edu0~a0 in preparation of our first Stretch alpha
    release.

 -- Holger Levsen <holger@debian.org>  Fri, 20 May 2016 11:53:39 +0200

debian-edu-install (1.900) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 1.900 as Debian 9 is targeted.
  * Add 4 GiB to min and max partition sizes for /opt to get enough
    space for LTSP NBD image file.
  * Adjust squid partition mountpoint after squid3 has been renamed.
  * Preseed: keep old style (aka unpredictable) network interfaces names
    until a better solution is found.

  [ Holger Levsen ]
  * Update version number to 9+edu0~alpha0 in preparation of our first Stretch
    alpha release.
  * debian/control:
    - Bump standards version to 3.9.8.
    - Vcs-Browser: use /git/ in URL instead of /cgit/.

 -- Holger Levsen <holger@debian.org>  Thu, 19 May 2016 00:50:20 +0200

debian-edu-install (1.821) unstable; urgency=high

  * Update version number to 8.0+edu0~beta1 in preparation of our first Jessie
    beta release.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Apr 2015 19:27:05 +0200

debian-edu-install (1.820) unstable; urgency=high

  [ Wolfgang Schweer ]
  * preseed-values/defaults.thin-client-server:
    Remove preseeding for LTSP build-client-opts as this breaks PXE
    installs. Setting '--eatmydata' is now done in (d-e-config)
    share/ltsp/plugins/ltsp-build-client/Debian-custom/080-eatmydata.
    (Closes: #781515).

  [ Holger Levsen ]
  * debian-edu-profile: drop sugar from supported profiles as it has been
    removed from Jessie, see #782504.
  * Drop Sugar from debian/debian-edu-profile-udeb.templates and
    debian/po/templates.pot as well.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Apr 2015 18:38:01 +0200

debian-edu-install (1.819) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values: Adjust slbackup location strings for main-server
    and thin-client-server profiles (Closes: #772160).

  [ Holger Levsen ]
  * Update Dutch translation of debconf messages, thanks to Frans
    Spiesschaert. (Closes: #774574)
  * Update version number to 8.0+edu0~alpha2 in preparation of the next
    alpha release.

 -- Holger Levsen <holger@debian.org>  Mon, 05 Jan 2015 19:50:35 +0100

debian-edu-install (1.818) unstable; urgency=low

  * Re-enable eatmydata during installation now that bug #765694 is fixed
    in unstable and accepted for testing.
  * Adjust edu-eatmydata-install to not report an error when eatmydata
    already is activated, but instead log that it is already in place.
    This avoid a bogus error being reported to those testing Debian
    Edu Jessie (Closes: #770110).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Nov 2014 00:41:44 +0100

debian-edu-install (1.817) unstable; urgency=low

  * Disable eatmydata for quick install for both the normal and LTSP
    installation until eatmydata on i386 work properly.  Workaround
    for bug #765694.
  * Update version number to 8.0+edu0~alpha1 in preparation of a new
    alpha release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Nov 2014 11:59:31 +0100

debian-edu-install (1.816) unstable; urgency=medium

  * Change current version number to 8.0+edu0~alpha0 in preparation
    of the alpha 0 release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Oct 2014 19:09:21 +0100

debian-edu-install (1.815) unstable; urgency=medium

  * Make it easier to enable a test intallation by adding 'testinstall'
    on the d-i kernel argument line.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Oct 2014 22:23:26 +0200

debian-edu-install (1.814) unstable; urgency=medium

  * Mention jessie in internal template in
    debian/debian-edu-profile-udeb.templates.
  * Fix version (which gets written into /etc/debian-edu(config) to say
    8.0+edu+alpha0 instead of 8.0.0+edu+alpha0.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Oct 2014 23:19:56 +0200

debian-edu-install (1.813) unstable; urgency=medium

  [ Hoger Levsen ]
  * Install /usr/lib/debian-edu-install/version in the debian-edu-profile-udeb
    too.

  [ Petter Reinholdtsen ]
  * Add version number to /etc/debian-edu/config if it is missing.
    Fixing problem caused by bug introduced in version 1.810 and fixed
    in version 1.813.
  * Install LTSP using --eatmydata to speed up the installation of thin
    client servers.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Oct 2014 13:14:29 +0200

debian-edu-install (1.812) unstable; urgency=low

  * Enable the quick installation now that bug #759590 in eatmydata is
    fixed in testing.
  * Rewrite code in firstboot script to detect a working X frontend
    for debconf to also work with the new multiarch libraries, to get
    the test result presented in X.
  * Make sure firstboot script run after lightdm is started too.
  * Adjust firstboot script to flag that it was done before the test
    result is presented, to ensure it only run once no matter what
    happen with the test result dialog.
  * Change firstboot script to avoid checking for a working X
    authority file twice when restarted by debconf.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Oct 2014 22:55:00 +0200

debian-edu-install (1.811) unstable; urgency=low

  * Correct white space in exim4 preseeding for the main server and
    clients.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Oct 2014 12:45:06 +0200

debian-edu-install (1.810) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add first debconf preseeding draft for mail clients on the Debian
    Edu network.
  * Update disk space usage on amd64 minimal and i386 workstation.

  [ Debconf translation updates ]
  * Dutch by Frans Spiesschaert (Closes: #763642)

  [ Holger Levsen ]
  * debian/rules: switch to dh9 style.
  * debian/control:
    - Bump standards version to 3.9.6.
    - Use https for Alioth cgit URL.
    - Use "Package: udeb" where applicable instead of the legacy header
      "XC-Package: udeb".

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Oct 2014 07:34:02 +0200

debian-edu-install (1.809) unstable; urgency=high

  [ Wolfgang Schweer ]
  * Update disk space usage on amd64 main+workstation.

  [ Petter Reinholdtsen ]
  * Update disk space usage on i386 minimal, i386 standalone and amd64
    workstation.
  * Raise the minimum /boot size to 256 MiB to have space for several
    kernels at the same time.
  * Adjust minimum size for /usr on workstation from 11072 to 11712
    MiB, /usr/ on main+workstation from 11584 to 11904 MiB and / on
    standalone from 11328 to 11520 MiB.
  * Improve output from minimum-diskreq makefile target.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Oct 2014 09:30:56 +0200

debian-edu-install (1.808) unstable; urgency=high

  * Update disk space usage on amd64 main+ltsp, and adjust minimum sizes
    for /usr from 11584 to 11904 MiB and /opt from 11776 to 11840 MiB to
    avoid warnings from Nagios in the default setup.
  * Fix typo in edu-eatmydata-install, make sure the warning function
    exist.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 23:24:29 +0200

debian-edu-install (1.807) unstable; urgency=high

  * Make sure d-i set up the same APT sources we would get after
    running cfengine, to allow our cfengine rules to be removed.  Use
    http.debian.net as the default mirror.
  * Save a process by using exec in eatmydata dpkg wrapper.
  * Fix typo in log message from apt-setup code.
  * Remove unused code to add debian and skolelinux APT source in our
    apt-setup script.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 Oct 2014 14:44:00 +0200

debian-edu-install (1.806) unstable; urgency=high

  * Not using eatmydata is a warning, not an error.
  * Adjust partitioning setup for squid3, create /var/spool/squid3/, not
    /var/spool/squid/.
  * Start on draft exim4 preseeding values for the main server.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Oct 2014 15:06:20 +0200

debian-edu-install (1.805) unstable; urgency=high

  * Add partman/not-enough-space.d hook to provide warning before the
    partitioning take place if the disk is too small.  Rephase debconf
    dialog text to reflect this new and more safe behaviour and remove
    the old partman/commit.d hook to only check once for disk space.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Sep 2014 09:25:54 +0200

debian-edu-install (1.804) unstable; urgency=high

  * Disable the quick install using eatmydata until bug #759590 is
    fixed, as that bug break installation of exim4-config.
  * Rewrite edu-eatmydata-install to use the Dir::Bin::dpkg apt option
    instead of using dpkg-divert, as benchmarking show that the
    advantage of using dpkg-divert is negligible and the apt option
    show up in etckeeper logs.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 25 Sep 2014 08:03:37 +0200

debian-edu-install (1.803) unstable; urgency=high

  * Restructure pre-pkgsel.d code and make sure all errors in the
    scripts are reported as fatal forcing a boot.
  * Ignore errors from 'apt-get update', which some times fail if the
    ISO is umounted when it run.
  * Update version string stored on disk from 7.1+edu0 to
    8.0.0+edu+alpha0 in preparation of the first alpha release.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Sep 2014 14:47:57 +0200

debian-edu-install (1.802) unstable; urgency=high

  * Fix typo in error message from edu-eatmydata-install.
  * Drop aptitude divert from edu-eatmydata-install.  It is not
    installed by default and the speed gain is minimal.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Sep 2014 15:44:16 +0200

debian-edu-install (1.801) unstable; urgency=high

  * Add new debconf preseeding value debian-edu-install/quick-install,
    allowing the installation to run within a eatmydata environment to
    disable all sync/fsync calls in tasksel/apt-get/aptitude/dpkg.
    This speed up the installation.
  * Remove unwanted /n discovered by lintian from Greek debconf translation.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 17 Sep 2014 07:52:10 +0200

debian-edu-install (1.800) unstable; urgency=high

  [ Petter Reinholdtsen ]
  * Start on 1.800 as we are targeting Debian 8.
  * Fix base-installer.d script to not crash when unable to remove
    /target/debianedufreespace/.
  * Add signal trapping in all d-i hooks and the first boot init.d script
    to print/log an error: string if one of them terminates unexpectedly.
  * Add "X-Interactive: true" to the first boot init.d script to make
    sure it do not run in parallel with other scripts.
  * Add file system options user_xattr and acl to /skole/tjener/home0/
    and /skole/backup/ in our partitioning recipes, to improve Samba
    support (Closes: #638822).
  * Avoid error when trying to show test results in a tty under systemd.
    It is currently not possible.

  [ Wolfgang Schweer ]
  * dovecot-core preseeding: use fqdn postoffice.intern as server name.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Sep 2014 16:56:03 +0200

debian-edu-install (1.729) unstable; urgency=high

  [ Wolfgang Schweer ]
  * Update preseeding to ask dovecot-core to create the dovecot ssl
    certificate with 'postoffice' as server name.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Sep 2014 10:58:47 +0200

debian-edu-install (1.728) unstable; urgency=high

  * Drop preseeding of shared/default-x-display-manager to kdm, as xfce
    and lxde want to use lightdm.
  * Save some time during installation by not creating file system on the
    "debianedufreespace" LVM volume used to reserve some free space in the
    volume group.  Use new file system type 'keep' to do this.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 06 Sep 2014 20:41:07 +0200

debian-edu-install (1.727) unstable; urgency=high

  * Change partitioning, add separate /var/log partitions for the Main
    Server and Thin Client Server profile recipes, to make sure logs can
    fill up without breaking services.  Starting with 256 MiB as minimum
    and 5120 MiB as maximum.  This need to be tuned when we gain experience.
  * Update partman-auto documentation references in README.

  * Debconf translation updates:
    - Greek (el) by Panagiotis Georgakopoulos (Closes: #759485).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Aug 2014 09:49:18 +0200

debian-edu-install (1.726) unstable; urgency=high

  * Add --with-recommends to apt-install, to install our packages the
    same way apt would do it.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 27 Aug 2014 14:33:29 +0200

debian-edu-install (1.725) unstable; urgency=high

  * Make installation more robust by allowing installation of our
    packages to remove packages during installation.  If not, upgraded
    packages in APT sources might break the installer completely.
  * Remove non-working mail addresses from the lv.po, se.po and vi.po
    files after trying to reach the translators using podebconf-report-
    po.
  * Debconf translation updates:
    - Slovak (sk) by Ivan Masár (Closes: #759321).
    - Spanish (es) by Fernando Andrés Muñoz Bravo (Closes: 759349).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 27 Aug 2014 12:41:33 +0200

debian-edu-install (1.724) unstable; urgency=low

  * Drop Steffen Joeris as uploader.  Thank you for all the great work.
  * Change Vcs-* links in control file to reflect the migration from svn
    to git.
  * Add Alexander Alemayhu as uploader.
  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Update debhelper dependency from version 7 to 9.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Aug 2014 22:39:11 +0200

debian-edu-install (1.723) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop Patrick Winnertz as uploader.  Thank you for your good work!
  * Drop Vagrant Cascadian as uploader, on his request.
  * Make sure to call 'apt-get update' after installing debian-edu-
    archive-keyring and before trying to install packages from our APT
    repository, to make apt aware of the signatures in our repository.
    Fixes fatal installation error in PXE and ISO installs.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 07 Mar 2014 08:44:43 +0100

debian-edu-install (1.722) unstable; urgency=low

  * Updated traditional chineze (zh_TW) translation from Franklin Weng
    (Closes: #740152).
  * Updated Norwegian Nynorsk (nn) translation from Kjetil Torgrim Homme.
  * Remove misleading comment in cs.po, it.po, lv.po, nn.po, pl.po,
    pt.po and pt_BR.po claiming the files are generated.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Feb 2014 17:18:59 +0100

debian-edu-install (1.722~svn82645) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure Debian Edu version 5.0.6+edu1 is recognized as an old
    version and upgraded in /etc/debian-edu/config.  Found on
    gnashbuild1.skolelinux.no upgraded to Debian Edu Wheezy.  Similar
    for '6.0.7+edu+r1' found on most skolelinux.no-machines.
  * Increase minimum partition size of Minimal installs for / from 128
    to 320 MiB, for /usr from 512 to 3456 and for /var from 512 to
    1280 to match the disk space needed by the current setup.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Dec 2013 14:41:09 +0100

debian-edu-install (1.721) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase minimum partition size of Main Server installs for /usr
    from 3648 to 3904 MiB, to avoid having to resize the LVM
    partitions after installation.
  * Increase minimum partition size of Thin Client Server installs for
    /var from 3904 to 6400 MiB, to make sure there is enough space for
    both i386 and amd64 packaes when installing an amd64 server for
    i386 clients.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 21:49:43 +0200

debian-edu-install (1.720+deb7u1) wheezy; urgency=low

  * No change upload targeted at wheezy-proposed-update for the upcoming 7.2
    release.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 21:54:51 +0200

debian-edu-install (1.720) unstable; urgency=low

  * Change version number from 7.1+edu0~b2 to 7.1+edu0 in preparation of the
    Debian Edu Wheezy release.
  * Automatic updates of lib/partman/recipes*- at build-time.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Sep 2013 22:40:29 +0200

debian-edu-install (1.719) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change version number from 7.1+edu0~b1 to 7.1+edu0~b2 in
    preparation for beta 2.
  * Increase max partition size of /var/spool/squid in 92edumain+ws
    from 4096 to 15360 MiB, to match the sizes of 90edumain and
    91edumain+ltsp.
  * Increase max partition size of /skole/backup from 2048 to 32768,
    to avoid filling it imediately when the disk is large.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 Aug 2013 16:19:30 +0200

debian-edu-install (1.718) unstable; urgency=low

  [ Holger Levsen ]
  * Replaced tabs in previous changelog entry with spaces.

  [ Petter Reinholdtsen ]
  * Change version number from 7.1+edu0~b0 to 7.1+edu0~b1 in
    preparation for beta 1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Aug 2013 17:43:35 +0200

debian-edu-install (1.717) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update version number to 7.1+edu0~b0 to prepare for beta0.
  * Document disk usage and adjust minimum and maximum partition
    sizes to have room for everything that is installed:
      main-server (tested i386):
        /     min  128 ->  256.
        /boot min   64 ->  128.
        /usr  min 1024 -> 3648.
        /var  min  640 -> 2048.
      main-server+workstation (tested i386):
        /    min   128 ->   246.
        /usr min 11328 -> 11584.
      thin-client-server (tested i386):
        /usr min 11008 -> 11264.
        /opt min 11584 -> 11776.
      main-server+thin-client-server (tested i386):
        /usr min 11776 -> 11408, max 14336 -> 17408.
        /opt min 11456 -> 11485, max 13312 -> 15360.
      roaming-workstation (tested i386):
        /home min 128 -> 320.
  * Remove Morten Werner Forsbring from uploaders.  Thank you Werner for
    all your good work.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Jul 2013 23:10:59 +0200

debian-edu-install (1.716) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop choose-mirror as a dependency for debian-edu-install-udeb,
    and instead ask people to specify proxy on the boot prompt to
    avoid several extra questions during installation.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.716~svn81542:

  [ Petter Reinholdtsen ]
  * Adjust debian-edu-profile, making sure proxy settings are used also
    for netinst CD (and not only for PXE installs), and adjust the
    load_proxy_conf() function to log what proxy setting is used
    (closes: #715403).

  * Uploaded to the Debian Edu archive as debian-edu-install 1.716~svn81495:

  [ Petter Reinholdtsen ]
  * Document disk usage for a amd64 main-server+thin-client-server
    installed via PXE and adjust the minimum partition size for /usr
    from 11115 to 11456 and /opt from 11456 to 11712 on this profile
    to have room for everything that is needed.
  * Adjust d-i main-menu ordering, add choose-mirror as dependency of
    debian-edu-install-udeb before debian-edu-profile-udeb, to make it
    possible to set the proxy before selecting the profile on the
    netinst CD.

  * Translation updates:
     - Swedish, thanks to Martin Bagge. (Closes: #714648)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Jul 2013 14:43:43 +0200

debian-edu-install (1.715) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typos (missing template type) in default-wordlist and
    default-ispell preseeding.  Thanks to Wolfgang Schweer for
    discovering this.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Jun 2013 08:16:21 +0200

debian-edu-install (1.714) unstable; urgency=low

  [ David Prévot ]
  * debian/debian-edu-install.xdebian-edu-firstboot.init: Fix another
    successful(l) occurrence.

  [ Petter Reinholdtsen ]
  * Allow /boot in all partman recipes to grow to 1 GiB with large
    disks, to handle more kernels and make it easier to add extra
    stuff in the grub menu (like memdisk firmware upgraders etc. :)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Jun 2013 10:49:39 +0200

debian-edu-install (1.713) unstable; urgency=low

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn81018:

  [ Petter Reinholdtsen ]
  * Do not recognize ISO type (cd_type) 'not_complete' as
    non-networked ISOs when checking if there is required network
    during installation, now that the ISO build is patched to set type
    dvd and bluray for non-complete DVD and Blueray builds.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80973:

  [ Petter Reinholdtsen ]
  * Recognize bluray and custom ISOs as non-networked ISOs when checking
    if there is required network during installation.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80884:

  * Update version to "7.1+edu0~a3" (to be consistent with Debian and our
    manual) in version and make sure previous version "7.0.0+edu+alpha3"
    is listed in debian/debian-edu-install.postinst.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80595:

  [ Petter Reinholdtsen ]
  * Preseed dictionaries-common/default-ispell to "Manual symlink
    setting" as a workaround for dictionary-common asking a strange
    question about what ispell dictionary to use when installing using
    some languages (Closes: #641225).

  * Translation updates:
     - Polish, thanks to Mirosław Gabruś.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80578:

  [ Petter Reinholdtsen ]
  * Preseed dictionaries-common/default-wordlist to "Manual symlink
    setting" as a workaround for dictionary-common asking a strange
    question about what wordlist to use when installing using some
    languages (Partly fixes: #641225).
  * Rewrite X display detection code in testsuite reporting mechanism
    to be more robust and work with gdm3.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80572:

  [ Holger Levsen ]
  * debian/control, Vcs* headers: Replace svn.debian.org with
    anonscm.debian.org.

  [ Petter Reinholdtsen ]
  * Add support for gdm3 and lightdm to the testsuite reporting
    mechanism.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80558:

  * Switch default APT source from ftp.skolelinux.org to http.debian.net,
    to pick a nearby mirror in the most efficient way available today.
  * Fix typo in postinst introduced in version 1.713~svn80552.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80552:

  [ Petter Reinholdtsen ]
  * Update version to "7.0.0+edu+alpha3" in version and make sure
    previous version "7.0.0+edu+alpha2" is listed in
    debian/debian-edu-install.postinst.

  * Translation updates:
     - Czech, thanks to Miroslav Kure. (Closes: #711077)
     - Polish, thanks to Mirosław Gabruś.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 23 Jun 2013 23:24:20 +0200

debian-edu-install (1.712) unstable; urgency=low

  * Translation updates:
     - Romanian, thanks to Victor Nițu.
     - Indonesian, thanks to T. Surya Fajri. (Closes: #710295)
     - Russian, thanks to Yuri Kozlov. (Closes: #710298)
     - Japanese, thanks to Kenshi Muto. (Closes: #710578)
     - Chinese (zh_CH), thanks to Zheng Yu Ji.
     - Norwegian Bokmål (nb), thanks to  by Petter Reinholdtsen.
     - Italian, thanks to Claudio Carboncini.
     - Portuguese, thanks to Miguel Figueiredo. (Closes: #710976)
     - German, thanks to Wolfgang Schweer.
     - Polish, thanks to Michał Kułach. (Closes: #711111)
     - Danish, thanks to Joe Dalton. (Closes: #711173)
     - French, thanks to Jean-Pierre Giraud.
     - Swedish, thanks to Anders Jonsson (Closes: #711559).

  [ Holger Levsen ]
  * debian-edu-profile-udeb.templates: Make another template
    untranslatable.

  [ Petter Reinholdtsen ]
  * Fix typo in debian-edu-install/no-errors-found template
    (successfull->successful), found by Anders Jonsson.
  * Document disk usage for a main-server+workstation and adjust the
    minimum partition size for /usr on this profile from 9152 to 11328
    to have room for everything that is needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Jun 2013 16:04:52 +0200

debian-edu-install (1.711) unstable; urgency=low

  [ Holger Levsen ]
  * debian/rules: Add build-arch: and build-indep: targets.
  * debian-edu-install.templates and debian/debian-edu-profile-udeb.templates:
    - Make some new strings translatable.

  [ Victor Nițu ]
  * Add translation for Romanian language.

 -- Holger Levsen <holger@debian.org>  Tue, 28 May 2013 18:45:53 +0200

debian-edu-install (1.710) unstable; urgency=low

  [ Wolfgang Schweer ]
  * debian/control: Remove localization-config-udeb from Depends; this
    package is no longer needed (and now removed from unstable).
  * preseed-values/defaults.networked: add gosa-desktop config.

  [ Petter Reinholdtsen ]
  * Update version to "7.0.0+edu+alpha2" in version and make sure
    previous version "7.0.0+edu+alpha0" is listed in
    debian/debian-edu-install.postinst.
  * Correct check-script target to make sure it find shell scripts
    to check also with newer file version.

 -- Holger Levsen <holger@debian.org>  Fri, 17 May 2013 20:32:15 +0200

debian-edu-install (1.709) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Document disk usage for a roaming workstation and adjust the
    minimum partition size for / on standalone and roaming
    workstations from 8704 to 11328 to have room for everything that
    is needed.
  * Document disk usage for a workstation, and adjust the partition
    minimum from 8832 og 11072 MiB and maximum from 12288 to 15360 for
    /usr to have room for everything that is needed.
  * Document disk usage for a thin client server, and adjust the /usr
    partition minimum from 8192 to 11584 MiB and maximum from 11264 to
    15360, and the /opt partition minimum from -8640 to +11584 MiB and
    maximum from 11264 to 15360, to have room for everything that is
    needed.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 May 2013 18:41:03 +0200

debian-edu-install (1.708) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Stop trying to install etckeeper in post-base-installer, before
    APT is set up to fetch packages from the net, to avoid an error
    because it is missing on the netinst CD.
  * Change default file system from ext3 to ext4 for speed and
    reliability, and to bring us in line with Debian proper.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Apr 2013 18:27:29 +0200

debian-edu-install (1.707) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure to initialize etckeeper (aka run edu-etcvcs init) also
    in pre-pkgsel, to get it activated also if etckeeper did not fit
    on the netinst CD.
  * Change calculation recommended in README to leave 30% free space
    on partitions because partman some times create partitions smaller
    than the minimum size specified.
  * Increase minimum partition size of Main Server+Thin Client Server
    installs, /usr from 9728 to 11115 MiB and /opt from 10048 to
    11456, to avoid having to resize the LVM partitions during
    installation and get rid of Nagios warnings about full partitions.
    Also increase the maximum partition size to live some wiggle room.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Apr 2013 22:48:05 +0200

debian-edu-install (1.706) wheezy-test; urgency=low

  * Change calculation recommended in README to leave 20% free space
    on partitions because partman some times create partitions smaller
    than the minimum size specified.
  * Increase minimum partition size of Main Server+Thin Client Server
    installs, /usr from 9088 to 9728 MiB and /opt from 9344 to 10048,
    to avoid having to resize the LVM partitions during installation.
    Update README summary of disk usage after installation for i386 CD
    install to document the current disk usage.  Also increase the
    maximum partition size to live some wiggle room.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Apr 2013 10:40:48 +0200

debian-edu-install (1.705) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove code added Wolfgang Schweer to finish-install in version
    1.702.  It is moved to debian-edu-config where it belong.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Mar 2013 20:42:54 +0100

debian-edu-install (1.704) unstable; urgency=low

  [ Wolfgang Schweer ]
  * Fix path to etckeeper (now in /usr/bin instead of /usr/sbin).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Feb 2013 09:35:26 +0100

debian-edu-install (1.703) unstable; urgency=low

  [ David Prévot ]
  * Merge fixes from version 1.529:
    - Fix messed up headers and charset in PO files.

  [ Petter Reinholdtsen ]
  * Merge fixes from version 1.529:
    - Change how the profile question is handled, to not load the
      detected default value if the debconf seen flag is set, to allow
      the value to be preseeded.
    - Make preseeding documentation match the realities, by renaming
      the debian-edu-install/profile-expert template to
      debian-edu-install/profile (and removing the old
      debian-edu-install/profile template, thus concluding the test
      that started 2010-11-05 (Closes: #695107).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Jan 2013 22:22:02 +0100

debian-edu-install (1.702) unstable; urgency=low

  [ Holger Levsen ]
  * Drop obsolete or-depends on libqt-perl.

  [ Wolfgang Schweer ]
  * finish-install: prevent configured network interfaces file from being
    deleted during execution of d-i netcfg-copy-config.

  [ Petter Reinholdtsen ]
  * Update Standards-Version from 3.9.1 to 3.9.4.  No changes needed.
  * Remove obsolete XS-DM-Upload-Allowed control header.
  * Avoid whitespace lines in zh_CH and zh_TW debcconf templates.
    Discovered by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Jan 2013 10:09:31 +0100

debian-edu-install (1.701) unstable; urgency=low

  * Depend on libgtk2-perl, not libgnome2-perl, as this is required by the
    latest debconf Gnome frontend. Thanks to Colin Watson for the patch!
    (Closes: #631327)

 -- Holger Levsen <holger@debian.org>  Fri, 22 Jun 2012 22:52:48 +0000

debian-edu-install (1.700) unstable; urgency=low

  * Bump version number to 1.700 to make obvious this is targeted for wheezy.
  * Update version to "7.0.0+edu+alpha0" in version and make sure previous
    version "6.0.4+edu+r0" is listed in debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Jun 2012 07:03:39 +0000

debian-edu-install (1.528) unstable; urgency=low

  * Update version to "6.0.4+edu+r0" in version and make sure
    previous version "6.0.4+edu0 rc3" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Mar 2012 20:05:21 +0100

debian-edu-install (1.527) unstable; urgency=low

  [ David Prévot ]
  * Debconf translation update:
    - Slovak (sk) from Ivan Masár. (Closes: #661124)
    - Danish (da) from Joe Hansen. (Closes: #661185)
    - French (fr) from Christian Perrier. (Closes: #661191)
    - Russian (ru) from Yuri Kozlov. (Closes: #661227)
    - Japanese (ja) from Kenshi Muto. (Closes: #661320)
    - Swedish (sv) from Martin Bagge. (Closes: #661352)
    - Portuguese (pt) from Miguel Figueiredo. (Closes: #661579)
    - Turkish (tr) from Mert Dirik. (Closes: #661705)

  [ Holger Levsen ]
  * Update version to "6.0.4+edu0 rc3" in version and make sure
    previous version "6.0.4+edu0 rc2" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Feb 2012 14:15:02 +0100

debian-edu-install (1.526) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update version to "6.0.4+edu0 rc2" in version and make sure
    previous version "6.0.4+edu0 rc1" is listed in
    debian/debian-edu-install.postinst.
  * Give an error if Roaming Workstation is selected with Main Server,
    as this combination do not work.

  [ David Prévot ]
  * Add Chinese debconf templates translation by Ji ZhengYu
    <zhengyuji@gmail.com>. (Closes: #659874)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Feb 2012 13:23:17 +0100

debian-edu-install (1.525) unstable; urgency=low

  * Update version to "6.0.4+edu0 rc1" in version and make sure
    previous version "6.0.4+edu0 beta3" is listed in
    debian/debian-edu-install.postinst.
  * Add Indonesian debconf templates translation by Kurniawan Haikal
    <conecones@gmail.com> (Closes: #659491)

 -- Holger Levsen <holger@debian.org>  Sat, 11 Feb 2012 22:03:34 +0100

debian-edu-install (1.524) unstable; urgency=low

  * Update version to "6.0.4+edu0 beta3" in version and make sure
    previous version "6.0.3+edu0 beta3" is listed in
    debian/debian-edu-install.postinst.

  * Increase minimum size of /var/ for Standalone installs from 3640 to
    4032 MiB to avoid having to resize the LVM partitions during
    installation.  2986 MiB is used during a PXE installation.
  * Increase minimum size of /var/ for Main Server+Thin Client Server
    installs from 4480 to 5632 MiB to avoid having to resize the LVM
    partitions during installation.  At least 4205 MiB is used during
    a PXE installation.
  * Increase max size for /var/spool/squid/ for Main Server and Main
    Server+Thin Client Server installs from 4096 to 15360 MiB, to make
    sure there is plenty of room for an entire PXE installation when
    installing on a large disk.
  * Change partitioning for Roaming Workstation, use same partitioning
    as Standalone.  This means dropping separate /usr/ and create
    separate /home/ and /var/, to not cause problem for system
    services when the user fill up the home partition.
  * Increase minimum size of / for Workstation installs from 4032 to
    5056 MiB to avoid having to resize the LVM partitions during
    installation.  At least 3784 MiB is used during a PXE
    installation.  Increase maximum size from 5120 to 10240 as well to
    have some extra to fill in /var/ after installation.
  * Disable automatic resizing of partitions during installation, as it
    seem to hang and block grub from completing the installation.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Feb 2012 19:27:36 +0100

debian-edu-install (1.523) unstable; urgency=low

  * Update version to "6.0.3+edu0 beta3" in version and make sure
    previous version "6.0.3+edu0 beta2" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Jan 2012 18:24:51 +0100

debian-edu-install (1.522) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Move pre-pkgsel and finish-install code to adjust tasksel and set
    up network from debian-edu-install to debian-edu-config, to make
    it easier to change the network configuration, avoid problems with
    updating the PXE installation and bringing all related
    configuration into the debian-edu-config package.
  * Move code setting environment variable http_proxy to a common
    function to make it easier to handle proxies in early-command
    PXE preseeding.
  * Remove obsolete workaround for bug #358001 fixed 2006-10-05,
    and leave tune2fs intact in d-i.
  * Grant local user sudo access on Standalone installations.
  * Remove obsolete preseeding for lwat, ifplugd, insserv and
    usplash.
  * Add new partman recipe 98edustandalone for standalone
    installations, with separate /, /boot, /var and /home to make sure
    users can not take down services by filling /var/, and services
    filling /var/ can't fill the users home directory and block the
    user from logging in.  Previously standalone installs would only
    get /, /boot and /usr/ (same as workstation).  Set the minimum
    partition sizes for / to 8704 MiB and /var/ to 3640 MiB after
    measuring the use.
  * Add support for showing test results on GDM in addition to KDM.
  * Make sure to abort the installation if no network is available and
    not using the DVD (Closes: #655304).  This require new debconf
    templates.  Not marking them for translation until we have
    improved the English text.
  * Change installer preseeding to ask for initial user information on
    main-server.
  * Depend on debian-edu-config (>= 1.448) to get a version able to
    use the initial user information.

  * Debconf translation updates:
    - Updates for it.po from Claudio Carboncini.
    - Updates for fr.po from Christian Perrier (Closes: #654913)
    - Updates for da.po from Joe Dalton (Closes: #654914).
    - Updates for pt.po from Miguel Figueiredo (Closes: #654919).
    - Updates for ru.po from Yuri Kozlov (Closes: #654960).
    - Updates for nl.po from Jeroen Schot (Closes: #654880).
    - Updates for sv.po from Martin Bagge (Closes: #654976).
    - Updates for cs.po from Miroslav Kure (Closes: #655092).
    - Updates for ja.po from Kenshi Muto (Closes: #655720).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 Jan 2012 20:37:17 +0100

debian-edu-install (1.521) unstable; urgency=low

  * Update version to "6.0.3+edu0 beta2" in version and make sure
    previous version "6.0.3+edu0 beta1" is listed in
    debian/debian-edu-install.postinst.

  [ Petter Reinholdtsen ]
  * Add new tool report-if-disk-too-small to detect and report when
    the available disk space is too small for the requested profile
    selection, and ask if the the installation should be aborted when
    this happen.  Call it from a new partman commit.d hook
    05debian-edu-too-small until bug #653305 is fixed.
  * Make sure to install commit.d hook with execute bit set, to get
    the hook from 2006 for mounting home0 nosuid activated.  Make hook
    include /lib/partman/lib/base.sh instead of non-existing
    /lib/partman/definitions.sh.
  * Also ignore error messages like 'wget: server returned error:
    HTTP/1.1 404 Not Found' when checking if the installation was
    successful while we wait for solution on BTS report #587493.
  * Move pre-pkgsel code to create localadmin user to the
    debian-edu-config package.
  * Move pre-pkgsel code to pass root password to the kerberos setup
    process to the debian-edu-config package.
  * Reintroduce the installation of etckeeper in post-base-installer,
    to ensure changes to /etc/ is being recorded.
  * Add code in finish-install to stop the network for DVD installs,
    if the interfaces were enabled by us.  This stop dhclient from
    blocking umounting /var/.
  * Remove obsolete code in pre-pkgsel calling the removed script
    /etc/init.d/update-hostname during installation.
  * Remove obsolete code in finish-install introduced to handle
    version skew when /usr/share/debian-edu-config/d-i/finish-install
    was introduced.
  * Update code comments, and spread FIXMEs around where work should
    be done.
  * Adjust pre-pkgsel to not change hostname for Standalone and
    Roaming-Workstation installations.  Use the value set by
    netcfg from DHCP instead.
  * Increase minimum size of /usr/ for Workstation and Roaming
    Workstation from 3776 to 4032, have enough space for the files
    needed when installing a Roaming workstation.
  * Make debian-edu-install depend on debian-edu-config (>= 1.447) to
    enforce that we get the new version.

  [ Mike Gabriel ]
  * Update disk-too-small debconf template.

  * Debconf translation updates (before the last update):
    - Updates for zh.po from Andrew Lee (李健秋).
    - Updates for ja.po from Kenshi Muto (Closes: #653685).
    - Updates for sk.po from Ivan Masár (Closes: #653684).
    - Updates for da.po from Joe Dalton (Closes: #653688).
    - Updates for ru.po from Yuri Kozlov (Closes: #653900).
    - Updates for pt.po from Miguel Figueiredo (Closes: #654795).

  [ Petter Reinholdtsen ]
  * Adjust disk-too-small template text based on feedback from
    Christian Perrier.  This require a translation update.

  * Debconf translation updates (after last update):
    - Updates for nb.po from Petter Reinholdtsen.
    - Updates for es.po from Rafael Rivas.
    - Updates for de.po from Andreas B. Mundt and Holger Levsen.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Jan 2012 10:48:01 +0100

debian-edu-install (1.520) unstable; urgency=low

  * Release of eleven prereleases done in Debian Edu to Debian sid, aimed at
    Debian squeeze. See below for exact list of changes.
  * Update version to "6.0.3+edu0 beta1" in version and
    debian/debian-edu-install.postinst.

  * debian-edu-install (1.520~svn74157) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Modify krb5-config preseeding to work out of the box for clients.

  * debian-edu-install (1.520~svn73947) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Correct the Vcs-Browser link in the control file to use the new paths.

  [ Holger Levsen ]
  * Drop references to etcinsvk in post-base-installer (confirmed via checking
    the logs that this init here was useless) and tools/edu-etcvcs.

  * debian-edu-install (1.520~svn73655) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Add preseeding for ldap-password-again.

  * debian-edu-install (1.520~svn73623) squeeze-test; urgency=low

  [ Holger Levsen ]
  * preseed-values/defaults.common: don't add "quiet" to the kernel params
    anymore as this is already done by d-i. (Closes: skolelinux#1345)

  [ Andreas B. Mundt ]
  * Add local user to the 'adm'-group to allow reading logfiles.
  * Remove 'netdev'-group as it does not exist.
  * Clean code, it's now almost identical to the last working revision,
    but with localadmin-creation added.

  * debian-edu-install (1.520~svn73450) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Run pre-pkgsel debconf-* commands with in-target, to make
    sure ldap-password and kdc-password get set reliably in
    to-be-installed system.

  * debian-edu-install (1.520~svn73402) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Remove second call to create_initial_localadmin_user() in
    pre-pkgsel.

  [ Holger Levsen ]
  * Remove scanner and fuse from localadmins groups.

  [ Mike Gabriel ]
  * Fixes chpasswd call during creation of localadmin account.

  * debian-edu-install (1.520~svn73401) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Redirect stdout to stderr for in-target calls in pre-pkgsel's
    create_initial_localadmin_user(): Fixes problems with debconf.

  * debian-edu-install (1.520~svn73383) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Correctly pass username and password to chpasswd for localadmin.

  * debian-edu-install (1.520~svn73372) squeeze-test; urgency=low

  [ Holger Levsen ]
  * Update Catalan by Hector Oron. (Closes: #606127)

  [ Daniel Hess ]
  * Save the password entered during installation in debconf variable
    'debian-edu-config/ldap-password' for later use during ldap
    bootstrap.
  * Update Catalan po file with debconf-updatepo (through debian/rules'
    clean target)

  [ Mike Gabriel ]
  * Adds Mike Gabriel to uploaders.

  * debian-edu-install (1.520~svn73341) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * use DNS SRV records to detect kerberos configuration for Debian Edu clients
    (by preseeding krb5-config)
  * fix localadmin user account creation (using in-target calls)

  * debian-edu-install (1.520~svn73315) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Change netmask of the backbone net: Use full 10.0.0.0/8 network
    in tjeners interfaces file until GOsa supports 10.0.2.0/23.
  * Add myself to Uploaders.

  [ Mike Gabriel ]
  * pre-pkgsel: create a local user with uid "localadmin" and sudo rights.
    (for first login and for graphical admin tasks when i.e. ldap or
    network is down.)
  * Setting author in etckeeper's VCS (Closes: #617383)

  [ Petter Reinholdtsen ]
  * Add isinstallable script to debian-edu-profile-udeb to disable
    the profile question when d-i is in rescue mode.
  * Make sure atftp is preseeded also for standalone Main-Server
    profiles, to get PXE installation working from such servers.
  * Make sure CD is present before looking for .disk/cd_type on it, to
    avoid error message in the log for PXE installations.
  * Preseed partman-auto/init_automatically_partition to try to get
    automatic partitioning working with ISO booted as USB stick.
    Flag it as seen to avoid presenting the question to the user
    (Closes: #606314).
  * Ignore wireless network interfaces when guessing if a machine
    should be a thin client server, as PXE booting do not work on wifi
    networks.

  [ Andrew Lee (李健秋) ]
  * Update translation for zh_TW.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Dec 2011 18:09:18 +0100

debian-edu-install (1.519) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase /var/ partition size for Main-Server+Thin-Client-Server
    installations, minimum from 4032 to 4480 MiB, to make sure
    enough space is available for PXE installations.
  * Show "expert" profile question by default to make the minimal
    profile more visible and better known.
  * Fix typo in postinst to handle the Minimal profile.
  * Correct formatting of Danish (da) debconf templates.
  * Correct formatting of Norwegian Nynorsk (nn) debconf templates.
  * Correct formatting of Swedish (sv) debconf templates.

  [ Translations ]
  * Update Czech (cs) translation by Miroslav Kure (Closes: #601868).
  * Update Greek (el) translation by Stayros Kroustouris.
  * Update Italian (it) translation by Claudio Carboncini
    (Closes: #602952).
  * Update Traditional Chinese (zh_TW) by Andrew Lee (李健秋).

 -- Holger Levsen <holger@debian.org>  Sat, 13 Nov 2010 14:46:55 +0100

debian-edu-install (1.518) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase partition size for Workstation installations, minimum
    from 2752 to 3776 MiB and max from 4096 to 5120, to make sure
    enough space is available for PXE installations.
  * Fetch CD suite from cdrom/codename debconf value in
    debian-edu-profile and report errors if the suite was not found.
  * Use log-output to send wget output to the syslog when testing
    if the Internet is available.

  [ Ronny Aasen ]
  * Adapt tools/edu-is-testinstall, to changes in d-i. use
    cdrom/codename To find debian codename on cdrom install's

  [ Translations ]
  * Update Northern Sami (se) translated by Børre Gaup.
  * Update Chinese (zh_CN) by Ji ZhengYu (Closes: #599912).
  * Update Spanish (es) by Francisco Javier Cuadrado
    (Closes: #600345).
  * Update Finnish by Esko Arajärvi (Closes: #600512).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2010 23:02:28 +0200

debian-edu-install (1.517) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove unneeded lwat preseeding in defaults.networked, which is
    also in defaults.main-server.
  * Update standards-version from 3.8.4 to 3.9.1.  No changes needed.
  * Always preselect Thin-Client-Server when Main-server is selected,
    to recommend combined servers as the default.

  [ Finn-Arne Johansen ]
  * Added preseeding of ldap server and search base (used by lwat).
  * Modified preeseding of lwat to fit newer ldap configuration.
  * Fixed typo in some of the lwat preseeding to make it work with dhcp
    and dns (too many spaces in the preseeding).

  [ Translations ]
  * Updated Norwegian Bokmål (nb) translation by Petter Reinholdtsen.
  * Updated Norwegian Nynorsk (nn) translation by Jan Roar Rød.
  * Updated Czech (cs) translation by Miroslav Kure (Closes: #598355)
  * Updated Vietnamese (vi) translated by Clytie
    Siddall (Closes: #599500).
  * Updated Turkish (tr) translated by Mert Dirik.
  * Updated Northern Sami (se) translated by Børre Gaup.
  * Updated Slovak (sk) translated by Ivan Masár (Closes: #599501).
  * Updated Japanese (ja) translated by Kenshi Muto (Closes: #599601).
  * Updated Danish (da) translated by Joe Hansen (Closes: #599637).
  * Updated Portuguese (pt) translated by Miguel
    Figueiredo (Closes: #599755).
  * Updated Basque (eu) translated by Iñaki Larrañaga
    Murgoitio (Closes: #599809).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Oct 2010 18:13:27 +0200

debian-edu-install (1.516) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add preseeding of partman-lvm/confirm_nooverwrite to ensure
    automatic partition is working also for blank disks.
  * Adjust how partman preseeding is used, use add_preseed function
    instead of manually using db_set/db_fset.
  * Fix typo in debian-edu-profile causing wrong exim to be installed on
    servers where autopartition is not chosen.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Aug 2010 23:46:17 +0200

debian-edu-install (1.515) unstable; urgency=low

  * Copy laptop-detect script from the package with the same name, and
    use it to determine if Main-Server, Thin-Client-Server,
    Standalone, Workstation or Roaming-Workstation should be
    preselected.  Add depend on dmidecode-udeb to make sure
    laptop-detect can check DMI chassis info.
  * Update preseed values for main-server to use the nagios3 templates
    to set the web page password, and not the obsolete nagios
    templates.
  * Adjust main-server preseeding to use the current LDAP structure.
  * Remove unused networked preseeding of libnss-ldap, libpam-ldap and
    libnss-ldapd.
  * Set hostname based on reverse DNS entry for IP in pre-pkgsel for
    clients, to make sure dnsdomainname return useful information when
    debian-edu-ldapserver need it during installation.
  * Switch nslcd preseeding from using DNS SRV records to find the
    LDAP server at run time, to look for ldap://ldap and depend on the
    SRV records to be consulted at install time instead.
  * Log to the console when running debian-edu-config
    run-at-firstboot, to give users some feedback on why the machine
    is hanging during boot.
  * Add code in pre-pkgsel and finish-install scripts to call hooks in
    /target/usr/share/debian-edu-config/d-i/ and move relevant code
    calling cfengine and autodetection to the debian-edu-config
    package.
  * Log message when doing profile preselection and running
    debian-edu-config hooks, to ease debugging.
  * Correct the use of log_* messages in
    init/xdebian-edu-firstboot.init.

  [ Translations ]
  * Updated French from Christian Perrier (Closes: #590880)
  * Updated Russian from Yuri Kozlov (Closes: #591238)
  * Updated Swedish from Martin Bagge (Closes: #592042).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 07 Aug 2010 22:28:07 +0200

debian-edu-install (1.514) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add new profile choice 'Roaming-Workstation' to set up local home
    directory and caching of password and LDAP directory information.
  * Add preseeding of sitesummary-client/hostclass to get more
    useful configuration collected.  Set it to main-server,
    thin-client-server, workstation and ltsp-client.
  * Preseed libnss-ldapd to also look up network names, now that we
    provide IpNetwork information in LDAP .
  * Rename base-config directory to preseed-values in the source,
    to reflect the current content and drop the obsolete base-config
    reference.
  * Remove obsolete tool debconf-set-frontend, and depend on
    debian-edu-config (>= 1.439) to make sure a version not using
    debconf-set-frontend is installed.
  * Change profile options to use Choices-C for the string passed to
    the scripts, and __Choices for the user visible strings, and
    convert dash to space where it make sense (Closes: #489754).
  * Change version string from 5.0.4+edu0 to '6.0.0+edu0 alpha', and
    make sure to update the version string during upgrades.
  * Remove dependency on debconf-utils from debian-edu-install,
    as none of the scripts now need it.
  * Change main-menu order for debian-edu-profile-udeb from 3700 to
    2350, to put it after both load-cdrom and download-installer and
    before user-setup-udeb where it is supposed to be.
  * Move dependency on clock-setup from debian-edu-profile-udeb to
    debian-edu-install-udeb, to make sure main-menu do not skip
    debian-edu-profile-udeb and user-setup-udeb because clock-setup
    had a higher menu item number than these packages while still
    making sure it is included in our installation.  Not sure if the
    dependency is still needed, but better safe than sorry.
  * Change main-menu order for debian-edu-install-udeb from 1650 to
    7750, and basicly disable installation reordering, as the default
    order in Debian seem to be as we want it now.  This place the udeb
    just before finish-install.
  * Add driver-injection-disk-detect as dependency of
    debian-edu-install-udeb to test if the package is useful for
    Debian Edu.
  * Increase minimum partition size for standalone/workstation.
    Change /usr/ from 8064 MiB to 8832 MiB to try to get enough space
    for the current set of packages installed.  Increase maximum
    partition size for /usr/, to make sure it is larger than minimum
    size.
  * Remove .intern part from DNS names in kerberos preseeding, to
    make it easier to migrate to a different toplevel domain name.
  * Remove unused openafs preseeding.
  * Remove unneeded trailing slash from apt source URL and improve
    repository comment a bit.
  * Ignore error messages like 'wget: server returned error: HTTP/1.0
    404 Not Found' when checking if the installation was successful
    while we wait for #587493 to be fixed.
  * No longer ignore error messages like 'Fontconfig error:' when
    checking the installation log for errors, bug #422980 in
    ttf-dejavu is solved.
  * Add code in pre-pkgsel to pass on the root password as Kerberos
    master password, to avoid the question from
    debian-edu-config. Make sure the passed on root password is
    cleared in finish-install, in case kerberos-init-kdc failed to do
    it.
  * Restructure debian-edu-profile script, to have less code between the
    functions.
  * For the profile question, try to detect if a main-server already
    exist on the network, and make sure main-server is selected by
    default if it isn't.  Always let workstation be selected by
    default.

  [ Translations ]
  * Update German (de) translation by Andreas B. Mundt.
  * Update Norwegian Bokmål (nb) translation by Petter Reinholdtsen.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Jul 2010 23:29:00 +0200

debian-edu-install (1.513) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase minimum partition size for
    main-server+thin-client-server.  Change /usr/ from 8320 MiB to
    9088 MiB and /opt/ from 7616 MiB to 9344 MiB to try to get enough
    space for the current set of packages installed.  Increase maximum
    partition size for /opt/, to make sure it is larger than minimum
    size.
  * Increase minimum partition size for main-server+workstation.
    Change /usr/ from 8320 MiB to 9152 MiB and /var/ 3904 MiB to 4224
    MiB to try to get enough space for the current set of packages
    installed.  Also increase max size to be larger than minimum size.
  * Increase minimum partition size for thin-client-server.  Change
    /opt/ from 7616 MiB to 8604 to try to get enough space for the
    current set of packages installed.  Increase maximum partition
    sizes for /usr/ and /opt/ to 11264 MiB.

  [ Andreas B. Mundt ]
  * Move Kerberos client preseeding from defaults.main-server to
    defaults.networked, since all machines in the network will need it.
  * Remove preseeding for etcinsvk since we use etckeeper now.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Jul 2010 09:13:46 +0200

debian-edu-install (1.512) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop redundant dependency on debconf.  It is included using
    ${misc:Depends}.
  * Preseed partman/confirm_nooverwrite like partman/confirm to true,
    to make sure the automatic partitioning disable all questions.
  * Preseed nslcd/ldap-reqcert to never for now, as 'try' do not work.
    Certificate checking for nslcd should be enabled to ensure we talk
    to the correct LDAP server, but currently fail.
  * Make sure init.d/xdebian-edu-firstboot start after all scripts
    implemeting $x-display-manager.
  * Make sure debian-edu-profile-udeb depend on download-installer or
    load-cdrom to make sure the debconf templates it preseeds
    are loaded.  Move debian-edu-install-udeb menu ordering from 1000
    to 1650 for the same reason, putting it after load-cdrom at 1600.
  * Remove obsolete tools/hw-detect-db-merge.pl and tools/rndckeyr
    from source.

  [ Holger Levsen ]
  * Change ordering of debian-edu-install's binary package depends to
    libgnome2-perl | libqt-perl instead of the reverse so that
    piuparts.debian.org can test the package.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jun 2010 19:05:31 +0200

debian-edu-install (1.511) unstable; urgency=low

  [ Andreas B. Mundt ]
  * Remove historic version 4 preseeding of Kerberos packages.

  [ Petter Reinholdtsen ]
  * Remove now unused code to add local source to sources.list from
    post-base-installer-late, and mode relevant parts to
    apt-setup/generators/70debian-edu-install already doing the same
    thing.  Remove code from post-base-installer also adding a local
    apt source, and leave it to the apt-setup code to do this.
  * Remove the code to adjust the bind9 configuration during
    installation to work around a problem with munin, as we use
    powerdns now.
  * Move code to override the tasksel tests from post-base-installer
    to pre-pkgsel, because it do not have to be done before apt-setup
    is executed.
  * Remove workaround for dpt_i2o kernel module introduced to fix
    skolelinux bugs #484 and #1254 that was needed in 2007.  I assume
    the kernel is fixed and the workaround obsolete.
  * Move network configuration to pre-pkgsel, as it do not need to
    happen in post-base-installer.
  * Initialize etckeeper in the post-base-installer instead of
    pre-pkgsel, to record the changes done to /etc/network/interfaces.
    Move post-base-installer script from 10 to 01, to get the /etc/
    history started even earlier during installation.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 May 2010 22:15:43 +0200

debian-edu-install (1.510) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust networked preseeding to enable TLS and certificate checking
    in nslcd.
  * Commit changes at the end of pre-pkgsel.

  [ Translations ]
  * Update Italian (it) by Claudio Carboncini.

  [ Holger Levsen ]
  * Provide source/format and set it to 1.0.

 -- Holger Levsen <holger@debian.org>  Thu, 13 May 2010 13:00:32 +0200

debian-edu-install (1.509) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Extend edu-etcvcs to install etckeeper if etcinsvk is unavailable
    (Closes: #571809).  Always enable etckeeper, as it is a lot quicker
    than etcinsvk.
  * Make sure errors are not ignored in the preinst.  Thanks to lintian
    for noticing this.
  * Rephrase package description for debian-edu-install-udeb, to make it
    more obvious for lintian that this is an empty package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Apr 2010 16:16:22 +0200

debian-edu-install (1.508) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Preseed passwd/user-default-groups to an empty set of groups for
    standalone installations, as we do not need static group membership to
    grant device access when we use consolekit and policykit.
  * Update partman recipes to make /usr, /var/ and /opt large enough
    for Squeeze (Closes: #570772).

  [ Translations]
  * Improve German (de) by Andreas B. Mundt.
  * Updated Vietnamese from Clytie Siddall (Closes: #572771)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Apr 2010 21:15:56 +0200

debian-edu-install (1.507) unstable; urgency=low

  [ Patrick Winnertz ]
  * Moved /etc/modprobe.d/debian-edu-install to
    /etc/modprobe.d/debian-edu-install.conf

  [ Petter Reinholdtsen ]
  * Adjust udeb dependencies (kbd-chooser->keyboard-setup and
    netcfg->configured-network) to continue to work work with future
    debian-installer versions (Closes: #569577).
  * Enforce mode 755 on debian-edu-install-udeb/DEBIAN/isinstallable, to
    avoid lintian warning (had 775).
  * Update to standards-version 3.8.4.  No changes needed.
  * Provide nslcd preseeding for Squeeze, using the same values as is
    used for libnss-ldapd in Lenny (Closes: #570781).

  [ Translations]
  * Update Norwegian (nn) by Jan Roar Rød.
  * Update Basque (eu) by Iñaki Larrañaga Murgoitio. (Closes: #570217)
  * Add Slovak (sk) by Ivan Masár. (Closes: #570420)
  * Polish German (de) by Andreas B. Mundt.
  * Update Traditional Chinese (zh_TW) by Andrew Lee (李健秋).
  * Update Vietnamese (vi) by Clytie Siddall. (Closes:#569001)
  * Update Itaian (it) by Claudio Carboncini. (Closes:#564626)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 12 Feb 2010 18:32:00 +0100

debian-edu-install (1.506) unstable; urgency=low

  * Add rc2 to the list of version numbers which should be upgraded in
    debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Feb 2010 19:37:47 +0100

debian-edu-install (1.505) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Update email address to use vagrant@debian.org.

  [ Translations ]
  * Update Sami (se) by Boerre Gaup.
  * Update Italian (it) by Claudio Carboncini.

  [ Holger Levsen ]
  * Update version to reflect this is our 5.0.4+edu0 release. Hooray!

 -- Holger Levsen <holger@debian.org>  Thu, 04 Feb 2010 19:09:05 +0100

debian-edu-install (1.504) unstable; urgency=low

  [ Translations ]
  * Update German (de) by Andreas B. Mundt
  * Update Swedish (sv) by Martin Bagge. (Closes: #566342)
  * Update Russian (ru) by Yuri Kozlov (Closes: #566360)
  * Update Spanish (es) by Francisco Javier Cuadrado.
    (Closes: #566371)
  * Update Turkish (tr) from Mert Dirik.
  * Update Portuguese (pt) by Miguel Figueiredo.
    (Closes: #566700)
  * Update Chinese (zh_CN) by Ji ZhengYu (Closes: #566792).
  * Update Norwegian (nb) by Jan Roar Rød.
  * Update French (fr) by Christian Perrier. (Closes: #566964).
  * Update Japanese (ja) by Kenshi Muto (Closes: #567097).
  * Update Czech (cs) by Miroslav Kure. (Closes: #567658).

  [ Holger Levsen ]
  * Update version to reflect this is our second release candidate,
    based on Debian 5.0.4 released today.
  * Add rc1 to the list of version numbers which should be upgraded in
    debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Jan 2010 17:55:22 +0100

debian-edu-install (1.503) unstable; urgency=low

  [ Andrew Lee ]
  * Add myself as uploader.

  [ Petter Reinholdtsen ]
  * Make sure edu-is-testinstall remember the test status of a DVD and
    CD install also after the media is no longer mounted.
  * Temporarely add APT option "Acquire::http::Pipeline-Depth 0;" to
    make sure package downloading work well througth Squid before new
    enough debian-edu-config is installed.  Depend on new enough
    version of debian-edu-config to make sure it sets the option
    permanently (Solves skolelinux bug #1419).
  * Merge code in base-installer-late into base-installer and drop
    base-installer-late, we do not need two base-installer.d scripts
    any more.
  * Add preseeding values for sitesummary to enable automatic Nagios
    configuration on the server and remote Nagios checks on the
    clients.  Make sure to depend on debian-edu-config
    (>= 1.433~svn61605) to get a version without Nagios
    autoconfiguration.
  * Set the title when reporting the failure to install the required
    packages, to avoid a misleading title in the dialog box.
  * Make sure to reboot imediately if package installalation failed.
    No use downloading more packages as we are going to reboot anyway.
  * Remove code from pre-pkgsel to upgrade packages, as this is done
    by pkgsel itself in lenny and there is no use doing it twice.
  * Make sure the postinst in debian-edu-install updates the alpha
    version number on upgrades.
  * Drop the 'splash' boot argument.  It is no longer needed as
    installing usplash is enough to activate it.

  [ Holger Levsen ]
  * Update version to reflect this is our first release candidate.
  * Increment package version as debian-edu-install was accidently
    uploaded to our repo as 1.433~svn (instead of 0.683~svn) and now
    its way too late to revert this. And it's just a package version
    number anyway.

  [ Translations ]
  * Update Norwegian (nb and nn) translations by Jan Roar Rød.
  * Update zh_TW translations by Andrew Lee (李健秋)
  * Update Swedish translations (sv) by Martin Bagge. (Closes: #565110)
  * Update French translations (fr) by Christian Perrier. (Closes: #565246)
  * Update Spanish translations (es) by Francisco Javier Cuadrado.
    (Closes: #565719)
  * Update Czech (cs) translations by Miroslav Kure. (Closes: #565883)
  * Update Portuguese (pt) translations by Miguel Figueiredo.
    (Closes: #566065)

 -- Holger Levsen <holger@debian.org>  Fri, 22 Jan 2010 19:38:07 +0100

debian-edu-install (0.682) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Report an error in the log if aptitude update fail in pre-pkgsel.
  * Disable apt source volatile.debian.org when it is unavailable, to
    avoid getting a non-working source when installing using DVD.
  * Remove several hardcoded lenny entries, use the
    mirror/distribution debconf value instead.
  * Make sure DVD install do not list a non-working ftp.skolelinux.org
    APT source in sources.list.
  * Move all etcinsvk handling into separate script edu-etcvcs to
    avoid code duplication.
  * Make sure tasksel test diverts are only removed if they exist, to
    avoid removing the real tests by mistake.  Report an error if
    these divers are not present.
  * Make sure tasksel test diverts are executable, to make sure the
    cleanup code in finish-install work.
  * Reinsert rule to install /usr/lib/debian-edu-install/version in
    debian-edu-profile-udeb that was removed by mistake.
  * Moved code generating /etc/debian-edu-config to pre-pkgsel just
    before debian-edu-install is created, to have the related code in
    the same file.
  * Made sure a missing /usr/lib/debian-edu-install/version is not a
    fatal error.
  * Disable "Go Back" button when reporting a fatal installation
    error, to avoid confusing the user.
  * Make sure the use of some variables that can contain spaces are quoted.
  * Remove trailing space from debconf template (Closes: #564432).
    Thanks to Christian Perrier for discovering this.
  * Correct language team address for debian/po/nb.po.
  * Rewrite how firstboot init.d script detect a test installation
    to make sure the self testing is executed also on DVD test installs.
  * Extend edu-is-testinstall to detect test installs over PXE too.
  * Use http://ftp.skolelinux.org instead of http://ftp.skolelinux.no
    everywhere.
  * Use volatile.debian.org instead of volatile.debian.net (which
    redirects to .org).
  * Add some logging to debian-edu-profile and edu-is-testinstall to
    try to figure out why dvd test installs are not detected as test
    installs.
  * Make sure etcinsvk init is only called once during installation.

  [ Holger Levsen ]
  * Removed superflouse space from template, unfuzzied translations after
    doing so. (Closes: #564736)

  [ Translations ]
  * Updated ru translations by Yuri Kozlov (Closes: #564552).
  * Updated ja translations by Kenshi Muto (Closes: #564553).
  * Updated fi translations by Esko Arajärvi (Closes: #564496).
  * Updated de translations by Helge Kreutzmann. (Closes: #564735)

 -- Holger Levsen <holger@debian.org>  Mon, 11 Jan 2010 23:04:43 +0100

debian-edu-install (0.681) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure to install etcinsvk before initializing it in debug mode.

  [ Holger Levsen ]
  * debian-edu-profile-udeb.templates: make new template translatable and
    indicate that the system will be rebooted (in the case of an installation
    failure).

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2010 12:40:41 +0100

debian-edu-install (0.680) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase /var from 2048 to 2624 MiB in partman/common/94edultsp to
    make sure enough space is available for the downloaded packages.
  * Increase / from 2048 to 2752 MiB in partman/common/96eduwork to
    make sure enough space is available for the downloaded packages.
  * Remove file pxe-lenny-extra-udeb, as it is no longer needed after
    a rewrite of the PXE rules in debian-edu-config.
  * Remove obsolete tasksel code in debian-edu-profile, as this is now
    done using tasksel tests in education-tasks.  Drop dependency from
    debian-edu-profile-udeb to dmidecode-udeb, as it is no longer
    needed.
  * Remove now obsolete code in rules file handling d-i menu
    order rewrite used in etch/terra.
  * Remove now obsolete versioned dependency on debconf.
  * Document in a comment why preseeding of the seen flag in
    debian-edu-profile need to be done there and can't be done using
    normal preseeding.
  * Report failure to preseed in debian-edu-profile as errors in the
    log.
  * Log to syslog when the xdebian-edu-firstboot script is executed.
  * Make sure xdebian-edu-firstboot run after wdm and slim too.
  * If the /etc/init.d/xdebian-edu-firstboot symlink exist during
    upgrades, remove it to make sure the new init.d script is
    installed in its place while making sure the firstboot script
    still run on the first boot.
  * Move code for installing debian-edu-archive-keyring,
    debian-edu-install and education-tasks from the
    debian-edu-profile-udeb postinst to the pre-pkgsel script, and
    report an error and reboot if installing any of them fail.  Not
    making the template translatable until the english text is
    reviewed.
  * Stop installing mdetect, xresprobe and read-edid early in the
    installation.  Should no longer be needed by X.org during
    installation.
  * Make sure to run the boot time fixing before running the test
    suite, to make sure thin clients find their SSH server keys before
    someone acknowledge any detected errors.
  * Make sure the test suite report if the installer needed to
    automatically extend partitions during installation.

  [ Holger Levsen ]
  * lib/partman:: increase minimal size of /var for
    recipes-powerpc-powermac_newworld/92edumain+ws,
    common/92edumain+ws, recipes/92edumain+ws and
    recipes-powerpc-prep/92edumain+ws from 2048 to
    2624 MiB.
  * Set TZ=UTC when debian-edu-fsautoresize is running during
    installation, to avoid inconsistent time stamps in the
    installation log (Solves Skolelinux bug #1356).
  * Remove ancient references to base-config-skolelinux from debian/control.
    (It has been a virtual package since 2003 approximatly.)
  * Reword debian-edu-profile-udeb.templates slightly.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2010 19:26:24 +0100

debian-edu-install (0.679) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Close more file descriptors when starting the background LVM
    resizer, to make sure no messages leak through to debconf.
  * Remove obsolete and disabled ltsp-client-builder preseeding.

  [ Holger Levsen ]
  * Make the build-depends-indep on dash versioned, to make lintian quiet.
    Removing that build-depends-indep altogether would also have been an
    option, but only for sid (as dash has become essential). But as this
    package shall also be build on lenny, a versioned build-depends-indep is
    better.

  [ Petter Reinholdtsen ]
  * Make sure to remove temporary tasksel tests after they are used.
  * Correct log messages to match their current file names.
  * Move code to initialize etcinsvk to after it is installed, to make
    sure the debug installation work.  Log when etcinsvk fail.
  * Add file pxe-lenny-extra-udeb to be used by PXE installation to
    fetch a newer version of udebs in Lenny.
  * Increase /var from 2048 to 2624 MiB in
    partman/common/91edumain+ltsp to make sure enough space is
    available for the downloaded packages.
  * Copy logs before running cfengine in the finish-instal script, to
    make sure debconf-get-selection --installer work when
    debian-edu-pxeinstall need it.

  [ Translations ]
  * Updated zh_TW translations by Andrew Lee (李健秋).
  * Updated Norwegian Bokmal (nb) translations by Jan Roar Rød.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Dec 2009 18:38:45 +0100

debian-edu-install (0.678) unstable; urgency=low

  [ Holger Levsen ]
  * Update version string to "5.0.3+edu0 alpha" as we already include
    and use changes from Debian 5.0.3.
  * Update Vietnamese translation, thanks to Clytie Siddall. (Closes: #548017)
  * lib/partman: increase /opt partition size to be at least 6gb, with a
    maximum of 8gb.

  [ Vagrant Cascadian ]
  * Preseed tftpd-hpa to serve the kernels from /var/lib/tftpboot on
    thin-client-servers.

  [ Petter Reinholdtsen ]
  * Preseed hddtemp/daemon to false, keeping the default of not
    starting the daemon.
  * Rewrite makefile rule to generate update-partman-recipes, using
    printf instead of echo -n to avoid bashism.
  * Fix code in xdebian-edu-firstboot to not fail when the test suite
    isn't executed. Adjust it to not exit to early when reporting
    errors.
  * Report success when no errors are found when the test suite is
    executed.  Do not translate this, as all deveopers understand
    English and end users should not see the message.
  * Update Standards-Version from 3.8.2 to 3.8.3.  No changes needed.
  * Correct self test code to work with shell functions when debconf
    is re-execing the script.  Clean up its log file handling to avoid
    useless copying.
  * Look for /usr/share/debian-edu-config/tools/run-at-firstboot and
    execute it if present, to allow us to move more configuration
    updates to the debian-edu-config package.
  * Remove code from firstboot script which are now part of
    debian-edu-config.  Depend on debian-edu-config (>=
    1.429~svn59498) to get a version with this code in place.
  * Move finish-install script to sequence 13 to run before
    15cdrom-detect to avoid the cdrom being umounted and ejected when
    cfengine is executed.

  [ Vagrant Cascadian ]
  * debian-edu-install-udeb: drop use of first person in description to quiet
    lintian.

  [ Holger Levsen ]
  * Update Galician translation, thanks to mvillarino@gmail.com
    (Closes: #554992)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 05 Nov 2009 10:22:09 +0100

debian-edu-install (0.677) unstable; urgency=low

  [ Ronny Aasen ]
  * add /boot on the barebone recipe 97minimal.

  [ Vagrant Cascadian ]
  * xdebian-edu-firstboot:
    - run ltsp-update-sshkeys (skolelinux bug #1355)
    - use mktemp instead of hard-coded directory in /tmp.
    - ensure firstboot is only run once in a cleaner way, dropping the need for
      several lintian overrides.
    - only run if debian-edu-install is installed

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 16 Jul 2009 23:08:36 +0200

debian-edu-install (0.676) unstable; urgency=low

  [ Holger Levsen ]
  * Preseed lwat as suggested by John S. Skogtvedt to enable DNS and DHCP
    configuration with lwat (needs lwat >= 0.18). Thanks, John!

  [ Translations ]
  * Updated French (fr) by Christian Perrier (Closes: #530658).
  * Updated Russian (ru) by Yuri Kozlov (Closes: #531127).
  * Updated Swedish (sv) by Martin Bagge (Closes: #531339).
  * Updated Italian (it) by Claudio Carboncini.
  * Updated Basque (eu) by Piarres Beobide (Closes: #531560).
  * Updated Japanese (ja) by Kenshi Muto (Closes: #531856).
  * Updated Chinese (zh_CN) by Ji ZhengYu (Closes: #531840).
  * Updated German (de) by Helge Kreutzman (Closes: #532241).
  * Updated Portuguese (pt) by Miguel Figueiredo (Closes: #532216).
  * Updated Spanish (es) by Francisco Javier Cuadrado (Closes: #532215).
  * Updated Czech (cs) by Miroslav Kure (Closes: #532475).
  * Updated Finnish (fi) by Esko Arajärvi (Closes: #532500).

  [ Vagrant Cascadian ]
  * debian/copyright: point to GPL-2 explicitly.
  * only change priority for debian-edu-install to extra, as the other packages
    can remain at optional priority.
  * Add ${misc:Depends} to debian-edu-install-udeb and debian-edu-profiles-udeb
    so that debhelper can add appropriate dependencies if needed.
  * debian-edu-install.postinst: don't call deconf-set-selections with full
    path.
  * update Standards-Version to 3.8.2, no changes needed.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 21 Jun 2009 11:24:38 -0700

debian-edu-install (0.675) unstable; urgency=low

  [ Oded Naveh ]
  * Remove the debianfreespace logical volume from volume group of any name.
  * Changed Makefile and recipes files to deal with bug #1316:
    - Moved and modified partman recipes headers to appropriate
      lib/partman/common/* and added insert marker for architecture specific
      partitions.
    - Renamed lib/partman/$(ARCH)-header to lib/partman/$(ARCH)-specific.
    - Changed make target 'update-partman-recipes' to use the new scheme.
    - Subsequently all lib/partman/recipes*/* changed by make.
  * Moved templates to choose recipes to debian-edu-profile-udeb.templates
    and made them translateable.
     Subsequently all debian/po/*.po changed by debconf-updatepo.

  [ Petter Reinholdtsen ]
  * Use 'etcinsvk commit' instead of obsolete 'etcinsvk update'.
  * Change how etcinsvk is initialized.  Initialize it in
    finish-install instead of in post-base-installer unless 'debug' is
    used as a kernel parameter during installation, as a workaround
    for bug #507742.  Removed enabling using preseeding to get it working.
  * Log when etcinsvk is called.

  [ Holger Levsen ]
  * Change version number to "5.0.0+edu0 alpha", to reflect the new Debian
    versioning scheme. We must still remember to change this to "5.0.0+edu0"
    before the real release.

  [ Ronny Aasen ]
  * Add debian-edu-archive-keyring-udeb, to depends of debian-edu-install-udeb.
  * Add apt-setup/local0/key weburl to debien-edu-archive-keyring.
    Requiered for local online repo to be considered by apt-setup.
  * Tweaking partition sizes.
  * Remove the dependency on debconf from the udeb's there is no debconf udeb.
  * add d-i preseed for base-installer/includes to install exim4-daemon-heavy
    early.

  [ Vagrant Cascadian ]
  * Add myself to Uploaders.
  * Add flags to allow debian-maintainer uploads.
  * Remove most traces of lessdisks.
  * Add ${misc:Depends} to debian-edu-install so that debhelper can add
    appropriate dependencies if needed.

  [ Holger Levsen ]
  * Change version number to "5.0.1+edu0 alpha", as we won't release before the
    first lenny pointrelease.

  [ Daniel Hess ]
  * Modify the desktop test of tasksel, so that when installing Debian Edu
    the installer installs what the user choose in the profile question.

  [ Luk Claes ]
  * Drop Sugar from expert mode. It's not working yet.
  * Fix translations.

  [ Daniel Hess ]
  * Fix the symlink done for the modified tasksel desktop test script
  * Also Modify new-install (for standard system) and laptop tests

  [ Holger Levsen ]
  * Add Oded Navehs particulator.sh script to lib/partman/recipes-doc to aid in
    caluculating partman recipes.

  [ Ronny Aasen ]
  * tuning Partman recipes, trying to avoid #1342
  * increasing /var for ltsp and workstation machines, the netinstall uses
    allmost 2 GB during install.

  [ Luk Claes ]
  * Fix translations to workaround cdebconf issue.

  [ Daniel Hess ]
  * Preseed tasksel/first seen flag to make tasksel not show up during
    install

  [ Ronny Aasen ]
  * Add tasksel as a dependency of d-e-i-udeb, in order to select it even if
    we have marked it as seen.
  * Copy the result of the testsuite into /var/log/installer/
  * Revert my tasksel dependency in svn57721, no effect.
  * Disable the preseed of tasksel/first, tasksel was not run in the installer.
    Instead try to bump debconf priority.

  [ Petter Reinholdtsen ]
  * Fix typo in debian-edu-profile introduced in version 0.675~svn57741.
  * Copy the test log in firstboot to /var/log/installer.
  * On second thought, allow the Debian laptop task to be installed on
    laptops.  It does not contain any GUI applications and no
    longer include network-manager.  This partly undo changes done by
    Daniel Hess.

  [ Ronny Aasen ]
  * Check multiple indicators of a non default install before bumping priority.
  * increase main server/var, it uses about 560 MB for a netinstall.

  [ Vagrant Cascadian ]
  * lower priority to extra, as it depends on debian-edu-config, which is being
    changed to priority extra, to comply with debian policy 2.5.
  * allow libgnome2-perl as alternative to libqt-perl, and fall back to gnome
    frontend if kde frontend is unavailable.
  * update debian/compat to version 7, as version 4 is now deprecated. update
    build-dependency on debhelper to match.
  * update Standards-Version to 3.8.1, no changes needed.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 13 May 2009 10:09:44 -0700

debian-edu-install (0.674) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reformat French, German, Italian, Russian, Swedish and Turkish
    translations to avoid unwanted line wrap and make profile questions
    shorter.
  * Increase partition sizes for workstation and main-server+workstation
    installs, to make sure we have enough room for all the files installed.
  * Disable tasksel preseeding, as the tasksel task selection is moved to
    the debian-edu package and will fetch the tasks selected from Debconf.

  [ Translations ]
  * Update Norwegian Bokmål from Petter Reinholdtsen
  * Update Spanish from José L. Redrejo Rodrígue
  * Update Portuguese from "Traduz" - Portuguese Translation Team.
    Closes: #498793
  * Update Czech from Miroslav Kure. Closes: #499589
  * Add Chinese (zh_CN) from Ji ZhengYu. Closes: #500548
  * Add Traditional Chinese (zh_TW) translation from Andrew Lee.
  * Remove obsolete Low Saxon (nds) translation as we are unable to reach
    the translator Sven Kromminga.

  [ Daniel Hess ]
  * Reformat Chinese translations to get "- Sugar:" on a new line.

  [ Holger Levsen ]
  * Changed version number to "5.0r0+edu0 alpha" - we must remember to change
    this to "5.0r0+edu0" before the real release.

 -- Holger Levsen <holger@debian.org>  Sat, 29 Nov 2008 17:31:24 +0000

debian-edu-install (0.673) unstable; urgency=low

  * Move upgrade calls from debian-edu-add_local_apt to pre-pkgsel.d,
    to make sure sources.list is updated before trying to upgrade.
  * Rename d-i hook scripts to use the name of their .d directory
    as file name to make it easier to predict when a script will execute,
    and avoid mistakes like the above in the future.
  * Make sure to activate etcinsvk as soon as possible, imediately after
    the base system is installed, to be able to track where changes
    come from.
  * Drop redundant 'aptitude update' from post-base-installer.  It is
    also executed in pre-pkginst.
  * Make sure http_proxy is set when calling aptitude and cfengine, to
    make sure both use a proxy when it is required.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  4 Aug 2008 20:54:53 +0200

debian-edu-install (0.672) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Call etcinsvk instead of obsolete debian-edu-etc-svk, if it exist.
  * Remove workaround for usplash bug #431560, skolelinux bug #1164.  It
    does not work with dependency based boot sequencing.
  * Make sure to upgrade packages before running tasksel, to make sure
    the latest package lists and configuration is used.
  * Use aptitude instead of apt-get, and use in-target instead of
    chroot when possible, to get predictable behaviour and better
    logging.
  * Increase minimum partition sizes for main-server+workstation and
    main-server+thin-client-server, to better reflect the current
    demand.
  * Remove obsolete script lvm-initialize-debian-edu.  The task is done
    by partman now.
  * Remove obsolete script dpkg-selectforinstall.  The task is handled
    by tasksel now.
  * Move debian-edu-winbind script to the debian-edu-config package.
  * Remove obsolete support for autopartkit.
  * Make sure to use the installer HTTP proxy settings when trying to
    download using HTTP (Closes: #492226).

  [ Translations ]
  * Updated Russian from Yuri Kozlov (Closes: #489919).
  * Updated Turkish from Mert Dirik (Closes: #490089, #491492).
  * Updated French from Christian Perrier (Closes: #490129).
  * Updated Japanese from Kenshi Muto (Closes: #491987).
  * Updated Swedish from Daniel Nylander and Martin Bagge (Closes: #492032)
    (Closes: #491942).
  * Updated Italian from Claudio Carboncini.
  * Updated Finnish from Esko Arajärvi (Closes: #492117).

  [ Holger Levsen ]
  * Use urgency=medium as this upload contains two important bug fixes (the
    etcinsvk fix is also important) for lenny and the other changes are quite
    low risk and have been tested in Debian Edu for some days already.

 -- Holger Levsen <holger@debian.org>  Sat, 26 Jul 2008 17:11:38 +0000

debian-edu-install (0.671) unstable; urgency=low

  [ Holger Levsen ]
  * Update Turkish translation, thanks to Mert Dirik. (Closes: #489295)

  [ Petter Reinholdtsen ]
  * Avoid hardcoding LDAP server setting for libnss-ldapd, and use DNS
    SRV records to find it.
  * Add dmidecode-udeb as a dependency for debian-edu-profile-udeb to
    increase the chance of detecting a laptop.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Jul 2008 01:07:33 +0200

debian-edu-install (0.670) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change debian-edu-install.firstboot to touch /etc/readahead/profile-once
    after the testing is done, to run a profiling run on the next boot to
    optimize the boot speed.
  * Preseed etcinsvk/enabled to true, to handle new package split out
    from debian-edu-config.
  * Remove code and preseeding values obsoleted when base-config was
    dropped from Debian before Etch was released.
  * Remove code setting the debconf seen flag to false in the normal
    installation path, to make it possible to preseed the profile,
    partitioning and popcon question.
  * Only preseed debian-edu-install/run-firstboot if the question is not
    seen already, to allow it to be disabled using preseeding.
  * Move code releasing the unused LVM space to before packages are
    installed, to allow LVM resizing during installation.
  * Add rule to resize file systems during installation, to avoid the
    installer failing because of full file systems when there is free
    space in LVM.
  * Rewrite wget call to use -U option to set user agent string, instead
    of no longer supported --header.
  * Remove some preseeding for ltsp-client-builder which should now be
    implemented using a plugin in debian-edu-config.
  * Increase /usr/ and /var/ partition sizes for
    main-server+workstation to avoid filling up the partitions during
    installation.
  * Remove obsolete nss-ldap workaround touching file /var/lib/nss-
    ldap/bind_policy_soft during installation.
  * Add preseeding of oscinventory-agent, submitting info using http.
  * Drop udeb dependency on tzsetup-udeb.  Should be enough with clock-setup
    and the ordering of the two seem to be wrong.
  * Move clock-setup dependency from debian-edu-install-udeb to
    debian-edu-profile-udeb, to see if it get it executed earlier during
    installation.
  * Change the partman priority for /debianedufreespace to 1000, to
    make sure more space is available for dynamic file system
    extension at install time.
  * Change partman priority and maximum size for the squid partition
    to 1000 and 4096 MB to allow for more caching by default, if there
    is enough disk space for it.
  * Move partman recipe generation rule from debian/rules to Makefile, to make
    it easier to keep them updated.
  * Reduce partman priority of home directory to spend less space there
    when the disk is small.

  [ Holger Levsen ]
  * Include Basque translation, thanks to Piarres Beobide. (Closes: #480419)
  * Add support for a 'Sugar' profile to support standalone setups with the
    OLPC XO laptop and other devices.
  * Shorten the debian-edu-install/profile and profile-expert debconf templates
    so that they fit on all debconf frontends and are a lot easier to
    understand. . Many thanks to the mighty Christian Perrier and his mighty
    debconf template writing skills. You rock! (Closes: #487678)
    Added comments that "Sugar" should not be translated to the .po file and
    changed the debconf type from note to error, where applicable. Also thanks
    to Christian for that :-)
  * Rename the "barebone" profile to "minimal".
  * Rewritten imperative form in templates as recommended by developers
    reference 6.5.4.2
  * Remove the dots at the end of debconf notes in templates as recommended by
    developers reference 6.5.4.2
  * Remove most templates from debian-edu-install.templates, keep the
    report-bug template as it's used by the testsuite.
    I feel sorry for the translators which have translated those strings in the
    last two years, but unfortunatly these templates were left in the package.)
  * Bump Standards-version to 3.8.0
  * Add Vcs- pseudo-headers.
  * Remove now bogus versioned dependencies on debhelper, po-debconf and
    dpkg-dev.
  * Replace reference to developer.skolelinux.no by one to
    wiki.debian.org/DebianEdu in README.
  * Update French translation, thanks to Christian Perrier. (Closes: #487486)
  * Update Galician translation, thanks to Jacobo Tarrio. (Closes: #487415)
  * Update Italian translation, thanks to Claudio Carboncini.
  * Update Japanese translation, thanks to Kenshi Muto. (Closes: #487488)
  * Update Vietnamese translation, thanks Clytie Siddall. (Closes: #487500)
  * Update German translation, thanks to Helge Kreutzmann. (Closes: #487419)
  * Update Portuguese translation, thanks to Miguel Figueiredo.
    (Closes: #487747)
  * Update Russian translation, thanks to Yuri Kozlov. (Closes: #487870)
  * Update Czech translation, thanks to Miroslav Kure. (Closes: #488352)
  * debian-edu-install.firstboot: only touch /etc/readahead/profile-once if
    readahead is installed.
  * debian-edu-install.firstboot: only run the testsuite during development.
    (Tested by grepping for "-test" in sources.list.)
  * Update inline copy of laptop-detect to the version in sid (0.13-6), which
    supports kernels with the new /sys/power interface.
  * Remove Joey Hess from uploaders. Thanks for your contributions, Joey!
  * Remove Andreas Schuldei from uploaders. Thanks for your contributions,
    Andreas!

 -- Holger Levsen <holger@debian.org>  Fri, 04 Jul 2008 12:23:57 +0200

debian-edu-install (0.669) unstable; urgency=low

  [ Ronny Aasen ]
  * Removed d-e-i-udeb's dependency on multiseat-udeb, since it's not in any of
    the repositories.
  * Place debian-edu-profile-udeb's menu item after clock-setup. Trying to
    make it be selected by the menu.

  [ Petter Reinholdtsen ]
  * Add preseeding value to activate dependency based boot sequencing.
  * Add preseeding for libnss-ldapd.
  * Add partman recipe for barebone install, to allow a quicker installation
    of the barebone profile.  Separate minimal /, /boot/, /var/ and /usr/,
    and the rest as unused LVM space.
  * Add code in debian/debian-edu-profile-udeb.prebaseconfig to remove the
    debianedufreespace logical volume.

  [ Patrick Winnertz ]
  * Fix even more hardcoded releasenames to use lenny.

  [ Christian Perrier ]
  * Consistent spelling of "Debian Edu" in debconf templates. Translations
    unfuzzied. Closes: #434098
  * Better wording of one template. Closes: #453676

  [ Translations ]
  * Updated Catalan by Guillem Jover.
  * German. Closes: #434097, #478730
  * Russian. Closes: #434198, #479140
  * Updated Dutch by Bart Cornelis.
  * Galician. Closes: #478586
  * Czech. Closes: #478806
  * Vietnamese. Closes: #479006
  * Portuguese. Closes: #479421
  * Turkish. Closes: #479753
  * Indonesian. Closes: #479701, #479700, #479699

  [ Holger Levsen ]
  * Suppress lintian warnings about no postrm script for
    /etc/init.d/xdebian-edu-firstboot, about it not being marked as a conffile
    and it not being included in the package
  * Correct spelling of Debian Edu in debian/control
  * Remove empty directories /usr/share/debconf/templates/ and add a lintian
    override for the empty dir /lib/debian-edu-install/
  * Add copyright notice in debian/copyright
  * Remove debian/po/id.po as it contained no translations at all
  * Added a dependency to debconf for the debian-edu-install and
    debian-edu-profile udebs

 -- Holger Levsen <holger@debian.org>  Sat, 10 May 2008 08:51:16 +0200

debian-edu-install (0.668) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * try not to add dns-search intern to dhcp-clients
    (closes skolelinux #1293)
  * Set type of value when preseeding group prefix for lwat

  [ Petter Reinholdtsen ]
  * Avoid non-POSIX -a option to test in debian-edu-preseed.
  * Allow debian-edu-etc-svk update to fail in the postinst, to get
    the lenny installer limping along.
  * Flag with XXX apt-setup fragment that need to be updated for
    Lenny.

  [ Holger Levsen ]
  * updated danish translation by Jonas Smedegaard

  [ Patrick Winnertz ]
  * Add new value for lwat to be preseeded.
  * Added myself to the uploaders
  * Bump standards Version to 3.7.3
  * Add Homepage field to control

  [ Ronny Aasen ]
  * loading partman-lvm packages early, to provide templates for
    preseeding in profilechooser.
  * Disable preseeding first disk since /dev/discs are gone missing.
  * Preseed partman-lvm/device_remove_lvm, since the key have moved.
  * update defaults.thin-client-server for lenny
  * Trying to get users to actualy read, and think about, the popcon
    question. By removing the default selection for our popcon question.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 07 Feb 2008 10:12:48 +0100

debian-edu-install (0.667.1+svn39522) terra; urgency=low

  [ Holger Levsen ]
  * Makefile: use C locale within status target, so that the egrep works as
    expected. Always return true on this egrep, even if the last .po is
    completly translated.  :-)
  * Updated italien translation thanks to Claudio Carboncini.
  * Updated finish translation thanks to Lars Wirzenius.
  * Updated polish translation thanks to Bartosz Fenski.
  * Updated greek translation thanks to Faidon Liambotis.
  * Updated catalan translation thanks to Miguel Gea Milvaques.

  [ Petter Reinholdtsen ]
  * Make sure to close file descriptor 3 when restarting the network, as
    a workaround for skolelinux bug #1229.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Dec 2007 10:14:05 +0100

debian-edu-install (0.667.1+svn39277) terra; urgency=low

  * Fix postinst to upgrade version string '3.0r0 terra' to '3.0r1 terra'.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Nov 2007 18:45:01 +0100

debian-edu-install (0.667.1+svn39198) terra; urgency=low

  * Backport to Debian Edu/Etch.

  [ Luk Claes ]
  * Remove myself from uploaders.

  [ Morten Werner Forsbring ]
  * Changed my last name.
  * Add /root/.svk to the default backup set (fixes Skolelinux bug #1272).
  * Preseed debian-edu-config/enable-nat to enable NAT on the thin-client
    servers (fixes Skolelinux bug #1266).
  * Update the changelog to document fixing of bug #1266.

  [ Petter Reinholdtsen ]
  * Adjust user agent string used during installation to include
    the Debian Edu suite and architecture information.
  * Update German translation from Helge Kreutzmann. (Closes: #434097)
  * Make sure to only try to load the dpt_i2o kernel module for PCI
    device 1044:a511 (and not the i2o_core module), to avoid boot
    problem after the install.  (Closes skolelinux bug #484 and #1254)
  * Try harder to only load dpt_i2o for PCI device 1044:a511.  Make sure the
    modprobe.d/blacklist entries are passed into /target/ as well.
  * Only load dpt_i2o for PCI device 1044:a501, as it seem to be
    supported by i2o_core too.
  * Move modprobe.d fragment from file blacklist to
    debian-edu-install, to avoid conflict with the udev package.
  * Change dpt_i2o handling code to only trigger when the dpt_i2o
    kernel module is present, to try to make it forward compatible
    with the planned fix in Debian.
  * Move current version string to
    /usr/lib/debian-edu-install/version, to avoid duplicating it in
    both debian-edu-preseed and debian/debian-edu-install.postinst.
  * Make sure to upgrade Debian Edu version string from the 'alpha',
    'test' and 'pre' versions too.
  * Add support for upgrading versions strings with space in them, to
    handle the transition from '3.0r0 terra' to '3.0r1 terra'.
  * Change version string to '3.0r1 terra'.

  [ Bart Cornelis (cobaco) ]
  * Updated Dutch translation

  [ Patrick Winnertz ]
  * Added russian debconf translation. (Closes: #434198)
    Thanks to Yuri Kozlov.

  [ Håvard Korsvoll ]
  * Completed Norwegian Nynorsk translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Nov 2007 10:33:58 +0100

debian-edu-install (0.667.0.edu.etch.1) terra; urgency=low

  * Backport to Debian Edu/Etch.
  * Change version number from terra_rc5 to "3.0r0 terra".
    Adjust code to upgrade the version number to handle
    space in the version string.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:15:16 +0200

debian-edu-install (0.667) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Avoid sending the user to the d-i menu when automatic partition
    is rejected.
  * Modified the minimum partition sizes for main-server+workstation
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 100->128, /boot 50->64,
    /usr 3348->3456, /var 900->1024, /skole/tjener/home0 100->128,
    /skole/backup 32->64.
  * Change the user agent to "Debian Edu d-i <distribution>" when
    fetching URL to check if the network is working, as it is more
    descriptive.
  * Modified the minimum partition sizes for thin-client-server
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 500->128, /boot
    50->128, /usr 3348->3392, /var 900->1024, /var/opt/ltsp/swapfiles
    192->64, /opt 1500->640.  Adjust maximum partition sizes to make
    them bigger than the minimum sizes.
  * Modified the minimum partition sizes for workstation installs to
    make sure there is enough free space based on numbers collected on
    i386.  Size changes in MiB: / 1400->1152, /boot 50->128, /usr
    3348->3392.  Adjust maximum partition sizes to make them bigger
    than the minimum sizes.
  * Set the version to rc5 in /etc/debian-edu/config.
  * Make sure to set the hostname during installation when the
    hostname is determined by debian-edu-preseed.  Use DNS name for
    the current IP address if the network is working.
  * Clean up partitioning code, allowing automatic partitioning
    with the Standalone profile, now that it work to say no to
    automatic partitioning.
  * Updated Norwegian Bokmål translation.
  * Updated German from Maximilian Wilhelm.
  * Removed email address of Sven Kromminga from nds.po, as it bounced.
  * Removed email address of quad-nrg.net from el.po, as it bounced.
    Cleaned up the file a bit.
  * Remove cruft from id.po.
  * Updated Japanese (ja) translations from Kenshi Muto. (Closes: #433785)
  * Modify barebone handling to install the new barebone tasksel task
    instead of presenting the tasksel menu during installation.

  [ Steffen Joeris ]
  * Include initial Indonesian debconf translation (id)
    Thanks to Arief S Fitrianto.
  * Include updated Swedish debconf translation (Closes: #433769)
    Thanks to Daniel Nylander

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:12:42 +0200

debian-edu-install (0.666) unstable; urgency=low

  * Change URL to check in debian-edu-profile to a smaller file.
    Set the user agent to "Debian Edu d-i <suite>" when fetching it.
  * Update French translation from Cyril Brulebois. (Closes: 432889)
  * Switch to manual partitioning if automatic partitioning was declined,
    instead of looping endlessly.  (Closes: 421120)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Jul 2007 22:54:59 +0200

debian-edu-install (0.665) unstable; urgency=low

  [ Steffen Joeris ]
  * Set the version to rc3 in /etc/debian-edu/config.
  * Include updated Vietnamese debconf translation (Closes: #430627)
    Thanks to Clytie Siddall
  * Include patch to blacklist the eth1394 module to block firewire
    during the first installer run (Closes skolelinux bug #1202)
    Thanks to Daniel Heß
  * Include updated Czech debconf translation (Closes: #431281) Thanks
    to Miroslav Kure
  * Include updated Portuguese debconf translation (Closes: #431015)
    Thanks to Miguel Figueiredo

  [ Petter Reinholdtsen ]
  * Preseed debian-edu-config/etc-in-svk to enable version tracking
    of /etc/ by default.
  * Fix usplash bug in debian-edu-test-install.  Based on patch from
    Jose L. Redrejo.  (Closes skolelinux bug #1204)
  * Ignore error messages like 'Fontconfig error:' when checking the
    installation log for errors until bug #422980 in ttf-dejavu is
    solved.
  * Change version upgrade code in the postinst to not fail when
    /etc/debian-edu/config is missing.
  * Rename rc1.d/K01usplash to rc1.d/S80usplash during installation as
    a workaround for skolelinux bug #1164 (usplash bug #431560).
  * Increase the minimum /usr partition size with 800 MiB for all
    profiles including the standalone packages, to cope with the
    packages proposed by José L. Redrejo Rodríguez.
  * Disable the check of autopartkit rules during build.  We use
    partman now.
  * Change URL used in debian-edu-profile to check if the network
    is working to use the same APT mirror as the other URLs.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server installs while making sure there is at least 15% disk
    free based on numbers collected on i386.  Size changes in MiB:
    /boot 50->64, /usr 1465->767, /var 900->400, /var/spool/squid
    128->64, /skole/backup 32->64.
  * Reduced the maximum size for /skole/tjener/home0 for all profiles
    from 10 TiB to 20 GiB and increase the maximum free size in the
    LVM volume group from 20 GiB to 1000 TiB.  With online resizing and
    the debian-edu-fsautoresize script available, it is very easy to
    extend at run time.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server+thin-client-server installs while making sure there is
    free based on numbers collected on amd64.  Size changes in MiB: /
    100->112, /boot 50->64, /usr 3600->3620, /opt 700->640,
    /var/opt/ltsp/swapfiles 192->92, /var/spool/squid 128->64,
    /skole/backup 32->64.
  * Remove lsof from the list of packages to install in the LTSP
    client environment.  It is now a dependency of ltspfsd.
  * Reduce partition priority of /var/ in the main-server install from
    3000 to 2000, to get it closer to the other partitions and thus
    let there be more free LVM space left.
  * Set the version to rc4 in /etc/debian-edu/config.

  [ Klaus Ade Johnstad ]
  * Increase the maximum /opt partition size to cope with the packages
    proposed by José L. Redrejo Rodríguez when
    ltsp-make-client is run.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Jul 2007 22:01:30 +0200

debian-edu-install (0.664) unstable; urgency=low

  [ Steffen Joeris ]
  * Make sure that it is not possible to select the Standalone profile
    together with any other profile (Closes: #420921)
    - Introduce debian-edu-install/standalone_only template note to
      warn if the selection was wrong
    - Include a check after the first check_profiles() and keep it in
      a loop as long as the profile selection is incorrect

  [ Guillem Jover ]
  * Added new Catalan translated string.
    Thanks to René Mérou <ochominutosdearco@gmail.com>
  * Updated Catalan translation, and fixed the mess done with the
    automatic merging from popularity-contest and debian-installer.

  [ Holger Levsen ]
  * Added myself to uploaders.
  * Improved german translation of the word 'barebone'.
  * Shortened Depends: for debian-edu-install-udeb, to fix the
    bootloader-installer problem on powerpc. We now have a working CD
    for powerpc!

  [ Ronny Aasen ]
  * Fix bug in autopartition when booting with debian expert.
  * Disable the use of the mirror chooser when installing from
    dvd. And enable it when we boot from cd and have network.
  * Increase size of /usr to fix more packages from the dvd.
  * Install  debian-edu-archive-keyring inside the ltsp chroot.
  * Increase size of /var to support netinstalls (Closes Skolelinux
    bug #1044)
  * Add netcfg to debian-edu-install-udeb, to get working network
    during a cd installation.
  * Add presseds to debian-edu-profile, so that we get the correct
    skolelinux repo when we are installing from cd+network.
  * Ugly hack with debian-edu-install-udeb.isinstallable, purpose: to
    disable netcfg for the dvd install.
  * Install debian-edu-archive-keyring early, incase we are
    netinstalling.
  * Enable network mirrors for the cd install.
  * Preseed slbackup-php
  * Add lv /var/opt/ltsp/swapfiles for combined servers.
  * Install ltspfsd by default inside the ltsp chroot.
  * Install lsof in the ltsp chroot.
  * Removed the dependency on the nonexsisting, in etch, multiseat.A
  * Overwrite netcfg.postinst,  on the dvd install.

  [ Petter Reinholdtsen ]
  * Report the status on the security.debian.org connection
    check to the log.
  * Add code to undo the installer menu renumbering when releasing for
    terra/etch.
  * Rewrite apt-setup/generators/70debian-edu-install to check for
    working network access before bailing out, to make sure the
    security mirror setting is unset when the network isn't available.
  * Modify the code disabling the mirror chooser to also trigger when
    there is no network.
  * Fix typo in apt-setup/use_mirror preseeding in defaults.common.
  * Drop autopartkit from the debian-edu-install-udeb dependency list,
    as we use partman as the default d-i install now.
  * Reintroduced a few debian-edu-install-udeb dependencies, to make sure
    the time zone and root password is set in the installation.
  * Update versions stored in debian-edu/config from terra_pre02 to
    terra_test04.
  * Add preseeding of cpufrequtils.
  * Change udeb postinst to install xresprobe instead of replaced
    kudzu-vesa, and drop installation of obsolete package devfsd, and
    drop installation of udev and libtext-iconv-perl now handled by
    the default d-i installation.
  * Change our network configuration for standalone installations to
    use allow-hotplug to integrate better with network-manager.
  * Remove obsolete code loading kernel modules, converting ext2->ext3
    and starting devfs.
  * Drop the dns-search entry from network/interfaces for Standalone
    installations.
  * Improve laptop detection using code from laptop-detect.
  * Add preseeding to populate the munin config using data from sitesummary.
  * Add preseeding of netcfg for networked profiles in the isinstallable
    script to avoid redundant question about hostname and dns domain.
  * Clean up finish-install.d script, removing unused and obsolete parts.
  * Make sure to only restart the network configuration at the end of the
    installation if no network exist, to get ssh installs working properly.
  * Add localization-config-udeb as a depend for debian-edu-install-udeb,
    to make sure the installation is properly i18n.

  [ Finn-Arne Johansen ]
  * Fixed mirror setup when using netboot installation
  * Add etch-test local mirror for now when using netboot installation

  [ Patrick Winnertz ]
  * Avoid question of scsiadd and install it per default without non-suid.
    (Closes Skolelinuxbug: #1171)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:13:15 +0100

debian-edu-install (0.663) unstable; urgency=low

  [ Ronny Aasen ]
  * Fixed a minor error in d-e-profile, that broke the install.
  * Avoid asking about autpartitioning when installing standalone.
  * Avoid asking for network mirror.
  * Add partman recipes for powerpc-prep

  [ Petter Reinholdtsen ]
  * Set the debconf title before asking it the disk should be erased and
    if popcon should be used, to avoid having a misleading title in g-i.
  * Show the expert menu when wiping the hard drive is rejected.
  * Remove db_fset on xserver-xorg/config/display/modes to check if it
    is ineffective or not.

  [ Steffen Joeris ]
   * Really integrate the German debconf translation, which got somehow
     missed out during the last upload (Closes: 411410)

  [ Patrick Winnertz ]
  * Avoid asking to disable the rootaccount in expert installation.
    (Closes Skolelinuxbug: #1134)

  [ Luk Claes ]
  * Multiply installer menu items by 100 (Closes: #418608, #418610).

 -- Luk Claes <luk@debian.org>  Tue, 10 Apr 2007 22:25:04 +0200

debian-edu-install (0.662) unstable; urgency=low

  [ Steffen Joeris ]
  * Update Czech debconf translation (Closes: #408652)
    Thanks to Miroslav Kure
  * Update German debconf translation (Closes: #411410)
    Thanks to Jens Seidel

  [ Ronny Aasen ]
  * Adding recipes for powermac_newworld
  * Removing primary on /boot for powermac_newworld
  * Adding code to detect other arch's and use the correct preseed files
    in debian-edu-profile
  * increasing min recipe values to avoid error when trying to create a lv of
    0 size.
  * alter the way we deal with bind9 configuration, trying to avoid breaking
    bind on reconfiguration/upgrades

  [ Finn-Arne Johansen ]
  * Fixed debconf preseeding for lwat

 -- Steffen Joeris <white@debian.org>  Fri,  9 Mar 2007 19:34:55 +1100

debian-edu-install (0.661) unstable; urgency=low

  [ Patrick Winnertz ]
  * Added preseeding for lwat to defaults.main-server

  [ Steffen Joeris ]
  * Set version to terra_pre02 to make sure we keep track of prereleases
    and the different states of the terra development
  * Include updated french debconf translation (Closes: #407041)
    Thanks to Cyril Brulebois
  * Include updated spanish debconf translation (Closes: #407934)
    Thanks to Javier Ruano

  [ Ronny Aasen ]
  * Giving more space to usr in partman recipes.
  * added /skole/backup to mainserver recipes  (Closes Skolelinux Bug #1122)
  * added /var/spool/squid to mainserver recipes  (Closes Skolelinux Bug #1123)

 -- Steffen Joeris <white@debian.org>  Wed, 24 Jan 2007 09:47:02 +0100

debian-edu-install (0.660) unstable; urgency=low

  [ Steffen Joeris ]
  * Include french debconf translation update (Closes: #402270)
    Thanks to Cyril Brulebois
  * Make sure that samba-common/dhcp question is false on the standalone
    profile as it is not connected to any other network automatically
    and we do not want to see the question during the installation
  * Some code cleanups in debian-edu-preseed for removing woody stuff
  * Move po-debconf build-depends-indep to build-depends as we need it
    during the clean target
  * Change template name for the "confirm erasing harddisk" template in
    debian-edu-profile-udeb-template to follow debian-edu-profile script
  * Fix debian-edu-expert mode check to make sure it is choosen if the
    cmdline option is given
  * Add myself to uploaders

  [ Ronny Aasen ]
  * Replace the warning about erasing harddrive with the message from
    autopartkit. And copy the translations too.
  * Include translations for the popularity-contest question.

 -- Steffen Joeris <white@debian.org>  Sat,  6 Jan 2007 01:17:47 +0100

debian-edu-install (0.659) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Prepare few new release.

  [ Luk Claes ]
  * Added myself to uploaders.

 -- Luk Claes <luk@debian.org>  Wed, 22 Nov 2006 22:15:57 +0100

debian-edu-install (0.658) unstable; urgency=low

  [ Steffen Joeris ]
  * Preseed samba-common/dhcp question for using WINS settings from
    DHCP by enabling this feature for all networked profiles
  * Make sure that samba-common/dhcp is false on the main-server
    profile
  * Include French debconf translation (Closes: #393655)
  * Fix the description to erase the base-config entry (Closes: #392939)

  [ Ronny Aasen ]
  * Popcon question should be translated.
  * User must accept that we erase the hard drive to continue the installation,
    and we preseed all partman questions if user accepts
  * Added a new defaults file called ltsp-chroot with the sitesummary-client
    seeds. the thin-client-server uses this to preconfigure the ltsp chroot.
    Add ltsp-chroot preseeds here
  * Added the preseeds for automatic installation using the new partman
    templates partman-auto/method and partman-lvm/confirm
  * make partman commit.d script, that will feed partman with debian-edu's
    wanted mountoptions.

  [ Petter Reinholdtsen ]
  * Add preseeding for uswsusp/encrypt to avoid question during installation.
    Set to 'no' for now.
  * Add xserver-org preseeding to get it to use the same keyboard layout
    as debian-installer.
  * Preseed partman-auto/disk instead of partman-auto-lvm/disk, as the
    latter seem to have been removed from partman.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 14:00:30 +0100

debian-edu-install (0.657) unstable; urgency=low

  [ Ronny Aasen ]
  * Change popcon default to false
  * Tweaking the partition recipes
  * Add sitesummary client into the ltsp chroot
  * Add debian-edu artwork into the ltsp chroot

  [ Bart Cornelis (cobaco) ]
  * Updated Dutch translation

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Oct 2006 11:45:00 +0200

debian-edu-install (0.656) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix bug in firstboot script, making sure the kdm info is set before
    the kde frontend is started.
  * Fix bug in firstboot, now make sure it is removed even when
    errors are found.
  * Make sure the firstboot script isn't installed on upgrades, by
    setting the hidden debconf question to false when it is enabled.
  * Add preseeding of ifplugd on standalone profiles to enable it for eth0.
  * Moved test of network settings into the test suite in debian-edu-config.
  * Move code to create /etc/mailname from base-config script to the
    post-base-installer script.  Make sure it isn't set for standalone
    installations.
  * Major cleanup in the partition selection and preseeding code in
    debian-edu-profile.  Move some preseed values into the defaults.*
    files now that their values are seeded into both d-i and /target/.
  * Remove obsolete code in debian-edu-preseed to set DNS server.
  * Correct code to find distribution name in debian-edu-profile,
    making sure it also work for CD installs.
  * Preseed sitesummary collector URL for networked profiles.
  * Add generic preseed for components of our installer, needed when we have
    ltsp in local repo

  [ Ronny Aasen ]
  * Fix bug in the thin-client-server profile, for the enable-nat script
  * Making sure all flags are set, a unset flag breaks the case selection for
    automatic_partitioning.
  * Minor Alterations in logging output, to clarify whats going on.
  * Fixed bug in thin-client recipe file name
  * Fixed bug in case logic for the thin-client-server profile
  * Remove the redundant main+ltsp+ws recipe, use the main+ltsp
  * Bug in 94edultsp recipe, lost several partitions
  * Added dedicated /opt partition in ltsp profiles
  * Treat a d-i expert mode installation as a debian-edu-expert installation.
  * added a freespace partition in the recipes, while we wait for #385219
  * Ask and preseed the popcon question at profile time.
  * Preseed ltsp-client-builder  accept unsigned packages. until our cd
    signing work, adept our preseed to the new ltsp packages.
  * Enable ltsp-client-builder
  * Altering main+ltsp partman recipe, match minimum with real needs.
  * Add preseed for the new dhcp behavior notice in ltsp only installs.

  [ Steffen Joeris ]
  * Update danish translation, thanks to Claus Hindsgaul (Closes: #390317)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Oct 2006 20:10:21 +0200

debian-edu-install (0.655) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Let debian-edu-install-udeb depend on ltsp-client-builder, to build
    the ltsp chroot from d-i, and get a nice progress bar while it builds.
    Disable this while we wait for a better ltsp udeb.
  * Add code to report errors found during installation and from the
    test suite when the machine boot for the first time.  Depend on
    lsb-base for the init.d script output, and libqt-perl to get the
    kde debconf frontend working.  Disabled until it actually pop up
    over kdm.
  * Rewrite how parman recipees are selected, to reduce some
    complexity in the tests.
  * Remove obsolete code and template used to allow interactive installs.

  [ Ronny Aasen ]
  * Fixed Error in detecting single Workstation profile.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 17:13:56 +0200

debian-edu-install (0.654) unstable; urgency=low

  [ Steffen Joeris ]
  * Update the package URL and write whole sentences in the long
    descriptions (Closes: #383973)
  * Move the configuration of slbackup for comboservers into the
    installer and avoid using cfengine via debian-edu-config for that
    early installer part
  * Include debian-edu-version in the /etc/debian-edu/config file
  * Add code to update the Version via the postinst script due to
    upgrades
  * Add code to debian-edu-profile for preseeding enable-nat script
    from debian-edu-config package just in case we have a
    Thin-Client-Server only installation

  [ Petter Reinholdtsen ]
  * Remove preseeding of debconf/priority from the common task, to
    avoid interfering with those using the expert installation mode.
  * Move code from the two finish-install.d scripts to one
    post-base-installer.d script to make sure it is executed as
    intended before the tasks are installed.
  * Move all scripts from d-e-install-udeb to d-e-profile-udeb, to
    return the d-e-install-udeb as a meta-package.
  * Revert to using autopartkit, now that it is working.  Use partman in
    standalone mode, and manual partman partitioning in debian-edu-expert mode.
  * Use the multiseat udeb as part of the debian-edu-install profile, if
    present.
  * In debian-edu-preseed, make sure /target/etc/bind/ exist before trying to
    make a symlink there.
  * Make sure /proc/ isn't mounted before trying to mount it in /target/.
  * Create /target/var/lib/nss-ldap/bind_policy_soft before cfengine
    is executed, as libnss-ldap seem to remove it when the packages are
    installed.
  * Preseed ltsp-client-builder to use it to build the LTSP
    environment from within d-i.
  * Add preseeding for popularity-contest, should work
    with version >= 1.34.
  * Disable autopartkit until we find out why it fail 25 % of
    the time
  * Avoid '-' in version name string.  The shell handle '-' specially, and
    this broke the installation.
  * Clean up handling of debian-edu-expert mode.

  [Ronny Aasen]
  * Added code to debian-edu-profile to preseed /target with
    debian-edu-install/profile. Should allow debian-edu-preseed to correctly
    write the interfaces file.
  * Changed the detection of debian-edu-expert.
  * Dont preseed anything if user pressed ESC in profilechooser

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Sep 2006 17:11:09 +0200

debian-edu-install (0.653) unstable; urgency=low

  [ Morten Werner Olsen and Steffen Joeris ]
  * Tested Barebone profile which installs as expected and
    can now be used (Closes: #275028)

  [ Steffen Joeris ]
  * Avoid the kernel question during the installation by
    adding seen flags to the debian-edu-profile script
  * Avoid question for display modes, because this will be
    set later on by xdebconfigurator
  * Specify some standard display modes in defaults.common for now
  * Avoid message which shows up due to x11-common upgrade
    problems and which is unimportant us
  * Set manual partitioning for debian-edu-expert mode and do
    automatic partitioning during normal debian-edu installations
  * Change debhelper to build-depends as we need it during the clean
    target
  * Bump to debhelper level 4 and therefore create compat file and delete
    compat code in debian/rules

  [ Petter Reinholdtsen ]
  * Always quote $tasksel in debian-edu-profile, to make sure
    the task name can contain () like the standalone task do.
  * Install our laptop task as well as the official
    debian laptop task if PCMCIA is detected.
  * Move code generating /etc/debian-edu/config to the hook executed
    just after the base system is installed, to make sure it is
    available when debian-edu-config is installed.
  * Drop old code to convert locale name no_NO to nb_NO.  nb_NO is the
    value used in debian/etch.
  * Drop old code to add se_NO to /usr/share/i18n/SUPPORTED.  The
    value is included in debian/etch.
  * Fix typo in debian-edu-profile introduced with the autopartitioning change.
  * Move away /sbin/tune2fs when asking the profile question, to force
    partman-ext3 to use mkfs.ext3 instead of libparted and tune2fs, and thus
    get -O resize_inode enabled on all created file systems.
  * Remove all traces of the standalone-extra task.  It is now merged with the
    standalone task.
  * Adjust the preseeding code to make sure debconf values are passed
    into /target/ by the post-base-installer hook from preseed when
    the base system is installed, by appending them to /var/lib/preseed/log.
  * Add dash preseeding to let it replace /bin/sh.
  * Use preseeding to install debian-edu-artwork-usplash before the
    kernel, to speed up the installation.
  * Update standards-version to 3.7.2.  No changes needed.
  * Remove obsolete debconf-save-answers and debconf-load-defaults,
    and use the replacement debconf-get-selections and
    debconf-set-selections from debconf-utils.  Add dependency to make
    sure they is available.
  * Move preseeding of samba-common/workgroup from the main-server to
    the common file, to avoid question when installing the
    workstation, thin-client-server and standalone task.
  * Preseed grub-installer/only_debian in d-i to avoid the question
    from grub.
  * Create /target/var/lib/nss-ldap/bind_policy_soft before packages
    are installed, to avoid hanging forever while installing the
    main-server profile.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Aug 2006 23:10:29 +0200

debian-edu-install (0.652) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Tell grub to add 'quiet splash' to the kernel boot options, to
    reduce boot noise and enable the splash screen.
  * Adjust task names to match current debian-edu package.
  * Add single quotes to preseeding log output to make it easier to
    spot empty values.
  * Unset LANG and LANGUAGE in debian-edu-preseed and
    debian-edu-profile-udeb.prebaseconfig to avoid perl warnings about
    missing locales when running programs using chroot /target.
  * Add preseeding for two new libnss-ldap questions about root-bind and
    password.  Not sure how we can handle this automatically, but inserted
    a few values to avoid the stop during installation.
  * Rewrite preseeding code to load debconf values into the d-i
    database to make it possible to send values into d-i as well as
    the installed system.  Done by moving code from
    post-base-installer.d to debian-edu-profile, and adjusting it to the fact
    that d-i debconf-set-selection can't read from stdin.
  * The partman related debconf templates should not be translated.  Mark them
    as such.  Update .pot file.
  * Change default debconf priority from critical to high.  We need some of
    the high priority questions.

  [ Ronny Aasen ]
  * Tell debian-edu-profile to preseed partitioning with lvm
  * Added a /boot partition to recipes, otherways grub-install failes.
  * Tuning of partman recipes sizes
  * Turn on swap on lvm in partman recipes.
  * Minor cleanup, removing outdated test code

  [ Translations ]
  * Updated Danish by Claus Hindsgaul. (Closes: #382003)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  9 Aug 2006 09:36:24 +0200

debian-edu-install (0.651) unstable; urgency=low

  [ Steffen Joeris ]
  * Adjust dependency because languagechooser was renamed
    to localechooser
  * Use ftp.debian.org as we are not all norwegians
  * Prevent installer to contact security host without having
    a running network (Closes Skolelinux Bug #1084)
  * Remove obsolete locale check in dbootstrap settings file
  * Make sure that proc is mounted and interfaces are there
    to make sure that cfengine is running in prebaseconf part
    (Closes Skolelinux Bug #1091)
  * Change prebaseconfig part of debian-edu-profile-udeb to
    19 instead of 75 to make sure that it runs before final
    prebaseconf message comes in
  * Change order of prebaseconf part to make sure that security
    preseeding is working before more mirror checks are done
  * Include debian testing security as a mirror for sources.list
    (Closes Skolelinux Bug #1084)
  * Change dependency from prebaseconfig to finish-install as it was
    renamed (Closes: #372540)

  [ Morten Werner Olsen ]
  * Increasing size of /var/-partition for Main-Server+Workstation (/var/
    is filled up with .deb's during installation).
  * Also install the old prebaseconfig-stuff into the
    usr/lib/finish-install.d/ used by the renamed finish-install package.

  [ Ronny Aasen ]
  * Added partman recipes to the install udeb
  * Modified debian/rules to load all recipes
  * Renamed recipes to work with partman
  * Added debconf templates for guided partitioning menu entries
  * Added code to select the correct partman recipes based on profile.
  * Added code to preseed more partman choises
  * minor tweaks on recipes to get to test lvm
  * Added preseed to select disc to partition

  [ Translations ]
  * Updated Portuguese by Eduardo Silva. (Closes: #357120)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Aug 2006 21:19:56 +0200

debian-edu-install (0.650) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * Removed dependency on base-config, as it's scheduled for removal
    (this leaves the package partly broken, but still with some usefull
     code. A new version will be uploaded to restore functionality)
  * ash is replaced with package dash
  * removed dependency to autopartkit (see #358834)
  * Moved the profile chooser later in the menu, to make it easier to
    do netbased installation.
  * Added more dependencies for the installer-udeb
  * Add local packages if availble from main installation source,
  * Make the education-tasks availible for the installer
  * Added generator for adding ftp.no.debian.org as an apt-source,
    if a mirror was entered manually during installation
  * Removed special handling of the standalone partitioning
  * Added script to preseed target between base-installer and pkgsel
  * Disabled creation of a local user for the networked profiles
  * Dont ask if system clock should be utc on a networked profile
  * added preseeding defaults into udeb, to make them availible
    earlier in the process
  * set the dns-search domain for the loopback interface, then there is
    a better chance for the installation to work if people change eth0
    on a main-server
  * Pressed libnss-ldap with sane values
  * Depend on the debian laptop task if this is found to be a laptop
  * Added preseeding to make the infoscreen about nsswitch go away
  * Added more preseeding to get the installation done without to much
    user interaction
  * Added Partman scheme for Debian-Edu Main-server
    (first try, disabled for now)
  * Run cfengine at the end of the installation
  * Let resolvconf handle resolv.conf, it does a better job at it
  * Set debconf priority to critical
  * Copy in archive.gpg keyring from installer as trusted.gpg in target
  * Needed to add local packages after debootstrap is run, but before
    queued packages are installed, and then again during apt-setup because
    the old sources.list is rewritten

  [ Petter Reinholdtsen ]
  * Flag multiselect choice translation for Latvian and Vietnamese
    translations with comma in the text as fuzzy, as this is illegal
    in a debconf choice.

  [ Translations ]
  * Updated French by Julien Valroff (Closes: #352855)
  * Updated Spanish by Patrice Neff.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Apr 2006 22:30:15 +0200

debian-edu-install (0.649) unstable; urgency=low

  [ Steffen Joeris ]
  * Delete the Standalone Extra profile, because the standalone
    profile is enough (Closes: #275026)
  * Deleted duplicate line in autopartkit/20debian-edu (typo?)
  * Updated german translation
  * Updated italien translation by Joe Scaramucci.
  * Add german translation for Barebone profile

  [ Petter Reinholdtsen ]
  * Update autopartkit/README to improve documentation on how to
    calculate the minimum partition sizes.
  * Update minimum /usr/ disk size for Main-Server+Thin-Client-Server
    from 1676 to 1984, to avoid running out of disk space with the
    current set of packages.
  * Change the profile question text based on suggestions from
    Maximilian Wilhelm.  (Closes: #321697)
  * If we are going to change the profile list and invalidate complete
    translations, split it into separately translatable words.
  * Move call to 'eject' to after the cfengine run, to make sure the
    CD is available when LTSP is installed.
  * Make sure profile question templates (debian-edu-install.templates
    and debian-edu-profile-udeb.templates) used in deb and udeb are
    identical.

  [ Finn-Arne Johansen ]
  * Updated root partition sizes for thin client servers, because of the
    new ltsp
  * Made code test for expert installation in debian-edu-profile not
    break the installation
  * Added localhost.localdomain for 127.0.0.1 in /etc/hosts, to prevent
    cfengine2 from choking on missing domainname (Closes Skolelinux #1039)

  [ Morten Werner Olsen and Steffen Joeris ]
  * included barebone profile (see #275028)
     - added an autopartkit-table for the barebone profile.
     - added Barebone-profile to base-config/07debian-edu to specify that
       we want network.default for it
     - modified base-config/65debian-edu-inst to install education-networked
       for this profile
     - wrote new debconf question for barebone profile
     - added profile-debconfquestion
     - Barebone profile only available in "debian-edu-expert" mode

  [ Morten Werner Olsen ]
  * Added myself as uploader.
  * Updated debian/po/* after Steffen's new debconf templates for barebone.
  * Added dependency on cdebconf-udeb for debian-edu-install-udeb.
  * Removed the "." in the short package description for all packages in
    debian/control.
  * Added a debian/debian-edu-install.lintian-override.

  [ Translations ]
  * Updated Catalan by Guillem Jover.
  * Updated Czech by Miroslav Kure. (Closes: #341294, #351767)
  * Updated Danish by Claus Hindsgaul. (Closes: #351757)
  * Updated Dutch by Bart Cornelis.
  * Updated German by Maximilian Wilhelm.
  * Updated Greek by Konstantinos Margaritis and Emmanuel Galatoulas.
  * Updated Japanese by Kenshi Muto. (Closes: #341528, #346031)
  * Updated Latvian by Aigars Mahinovs.
  * Updated Northern Saami by Børre Gaup.
  * Updated Norwegian bokmaal by Axel Boyer.
  * Updated Norwegian nynorsk by Gaute Hvoslef Kvalnes.
  * Updated Polish by Bartosz Fenski.
  * Updated Swedish by Daniel Nylander. (Closes: #344250)
  * Updated Turkish by Recai Oktas. (Closes: #341268)
  * Updated Vietnamese by Clytie Siddall. (Closes: #342107)

 -- Morten Werner Olsen <werner@debian.org>  Sat, 11 Feb 2006 02:35:50 +0100

debian-edu-install (0.648) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change tftp directory from /tftpboot/ to /var/lib/tftpboot/,
    to be compatible with new LTSP.
  * Update /usr/ disk size for Main-Server+Workstation from 1440 to
    1750, to avoid running out of disk space with the current set of
    packages.
  * Translations
    - Last Portoguese update was translated by Eduardo Silva, not
      Miguel Figueiredo.

  [ Bart Cornelis ]
    - Updated Spanish by Pablo Pita Leira. (Closes: #329849)
    - Updated Dutch by Bart Cornelis.

  [ Finn-Arne Johansen ]
  * try to prettify the output of report-edu-reporterr
  * prepared for resolvconf inclusion on the main-server

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Nov 2005 23:15:34 +0100

debian-edu-install (0.647) unstable; urgency=low

  * Finn-Arne Johansen
    - Set up config file for bind on main-server before bind is installed
      (Workaround for #275024. Closes: #257934)
    - Disable root account logins to lessdisks chroot
    - Added more variables to configure winbind authentication
    - Set courier webadmin to false (will hopefully prevent questions
      on upgrades)
    - Now autopartkit handles lvm2, only use partman for standalone
      install
    - Add mousedev for 2.6-kernels, and prepare yenta-socket for laptop.
    - Disabled devfsd for 2.6 kernels, made sure udev is installed
    - update lessdisks configuration
    - Added hacks to make it possible to netinstall
    - Detected non-running debian-edu-config during base-config for
      french install. Could happen for other languages to. thanks to
      Frederic Renet, Arnaud Hocevar and 'kernelsensei' for spotting this.
      (Closes slx #955, triggered by base-config bug #321638)
  * Joey Hess
    - Add debconf-2.0 alternate dependency.
  * Petter Reinholdtsen
    - Fix minor typos in debug output from base-config/menu/debian-edu-inst.
    - Fix two typos in the english template text.  (Closes: #310209)
    - Updated Standards-Version to 3.6.2.
  * Translations
    - Added Portoguese by Miguel Figueiredo. (Closes: #315464)
    - Added Vietnamese by Clytie Siddall. (Closes: #310207)
    - Updated German by Jens Seidel. (Closes: #313684)
    - Updated Catalan by Guillem Jover.
    - Updated Portoguese by Eduardo Silva.
    - Updated German by Maximilian Wilhelm.
    - Updated Danish by Claus Hindsgaul.
    - Updated Norwegian bokmaal and nynorsk by Gaute Hvoslef Kvalnes.
    - Updated Polish by Bartosz Fenski. (Closes: #322080)
    - Updated French by Julien Valroff. (Closes: #322121)
    - Updated Japanese by Kenshi Muto. (Closes: #323700)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  7 Sep 2005 18:32:18 +0200

debian-edu-install (0.646) unstable; urgency=low

  * Finn-Arne Johansen
    - Added install/configure script for setting up for winbind
      authentication
    - Dont restart services when installing lessdisks workstation
    - Better debconf preeseding for lessdisks workstation
    - Fixed kdm setup in lessdisks chroot
    - Added better resolv.conf for the lessdisks client
    - Create homedir for the winbind client
    - use existing root account password for lessdisks-chroot
    - fix locale no_NO -> nb_NO in /etc/debian-edu/config
    - make sure debian-installer remember if we changed locale from no_NO to
      nb_NO
  * Petter Reinholdtsen
    - Enable code to call locale-gen if the locale name was changed from
      no_NO to nb_NO.
  * Guillem Jover
    - Fixed the same typo in the other debian-edu-install/profile template
      thus coalescing both msgids in the .po files.
    - Updated .po files.
  * Fixed typo in templates noticed by Recai Oktas, and do so without
    fuzzing translations. (Closes: #296164)
  * Translations
    - Updated Swedish by Per Olofsson. (Closes: #296098)
    - Updated French by Christian Perrier. (Closes: #293373)
    - Updated Danish by Claus Hindsgaul.
    - Updated Greek by Konstantinos Margaritis.
    - Updated Dutch by Bart Cornelis.
    - Updated Japanese by Kenshi Muto. (Closes: #296095)
    - Updated Catalan by Guillem Jover.
    - Updated Turkish by Recai Oktas. (Closes: #296160)
    - Updated Czech by Mirislav Cure. (Closes: #296267)
    - Updated Polish by Bartosz Fenski. (Closes: #296833)
    - Updated German by Michael Koch.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Feb 2005 18:10:45 +0100

debian-edu-install (0.645) unstable; urgency=low

  * Petter Reinholdtsen
    - Remove redudant call to exit in base-config/25debian-edu-insert-cd.
    - Correct choice entries for nds translation.  Changing non-breaking
      space to normal space.
    - Reduce space requirement for Main-server and
      Main-Server+Thin-Client-Server.
    - Fixed typo in English template and update .po files.
  * Maximilian Wilhelm
    - Updated german translation.
  * Finn-Arne Johansen
    - Improved installation for lessdisks, including XF86 config generation
      on the fly.
    - Create and export partitions for lessdisks when installed.
    - Create a menu for choosing between lessdisks and ltsp.
    - Made sure that all profiles except standalone has "auto eth0".
    - Install gdm in the lessdisks-chroot, workaround for KDEBUG #96772.
    - Set up XTerminals using lessdisks and xdebconfigurator instead
      of ltsp.
    - Fix broken pxelinux.xfg header when extending with lessdisks in
      the menu.
    - Smaller disksize requirements for xterminal.
    - Make sure xdebconfigurator is installed on xterm.
  * Translations
    - Updated Spanish by Pablo Pita Leira.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Jan 2005 16:56:01 +0100

debian-edu-install (0.644) unstable; urgency=low

  * Petter Reinholdtsen
    - Add autopartkit/README explaining how to set the partition sizes.
    - Change the minimum sizes for Main-Server+Workstation to reflect
      the current disk usage.
    - Moved OpenAFS preseeding into default.networked, to enable it for
      both main-server, workstation and thin-client-server.
    - Disable moving of inittab.real, and only reboot if that file already
      is moved into place.
    - Rewrote/reorganise the no_NO/nb_NO workaround, getting it to
      actually detect the distribution name used.
  * Finn-Arne Johansen
    - reboot after installation is done Closes: #275029
    - Added preseeding and script for installing lessdisks from the CD
    - Made sure eth0 is set to autoload on everything but standalone
      (Fixes Skolelinux #869)
    - Added workaround for no_NO -> nb_NO on sarge
    - Added workaround for "/media/cdrom0" on woody (#285607)
    - Changed powerPC install to not use autopartkit
    - Replace /etc/inittab with /etc/inittab.real before reboot, or else
      baseconfig will rerun after reboot
    - Fixed broken OpenAFS preseeding for thinclientserver
  * Andreas Schuldei
    - Added OpenAFS preseeding

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Jan 2005 12:27:52 +0100

debian-edu-install (0.643) unstable; urgency=low

  * Joey Hess
    - If the standalone profile is used, set autopartkit/hide to true
      so manual partitioning is done. Closes: #275027
    - No longer drop priority for standalone profile installs.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 17:18:00 -0400

debian-edu-install (0.642) unstable; urgency=low

  * Petter Reinholdtsen
    - Only enable nb_NO/no_NO workaround for woody installs.
    - Make symlink from /var/log/base-config.log to installer.log,
      documenting the new name of this log file.
  * Finn-Arne Johansen
    - Added debconf default for ifplugd on main-server
    - localization-config is now called by base-config in sarge
    - Standalone fails using autopartkit, should use manual partitioning
      (#27296 in BTS)
    - dont set "auto eth0" in interfaces on a standalone installation
    - Added more space on /opt (/) on Thin-client-servers (ltsp-4.1)
    - Tell squid to fix its cachedir ownership itself

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 16:29:00 -0400

debian-edu-install (0.641) unstable; urgency=high

  * Petter Reinholdtsen
    - Reinsert installation of education-tasks in
      menu/debian-edu-install, to make sure the tasksel tasks are
      available when asking tasksel to install them.
  * Translations
    - Norwegian Nynorsk updated by Håvard Korsvoll.
  * High urgency to get this version into testing in time.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 28 Aug 2004 18:04:37 +0200

debian-edu-install (0.640) unstable; urgency=medium

  * Translations
    - Czech added by Miroslav Kure (Closes: #265581)
    - Dutch updated by Bart Cornelis.
    - Norwegian Bokmaal updated by Petter Reinholdtsen.
    - Danish updated by Claus Hindsgaul.  (Closes: #265825)
    - French updated by Christian Perrier.  (Closes: #265841)
    - Brazilian Portuguese updated by Frederico Goncalves Guimaraes.
    - Greek updated by Konstantinos Margaritis.
    - Turkish updated by Recai Oktas.
    - Latvian update by Aigars Mahinovs.
    - Japanese update by Kenshi Muto.
    - Swedish update by Per Olofsson.
    - Catalan update by Guillem Jover.
    - Polish update by Bartosz Fenski.
  * Medium urgency to get last version to testing in time.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Aug 2004 08:12:37 +0100

debian-edu-install (0.639) unstable; urgency=low

  * Joey Hess
    - Fix behavior with missing CD.
    - Change a few more instances of Skolelinux to Debian-Edu.
    - Fix new-mode jump_to, it needs to exit the calling program still.
    - Remove set -x from debconf-set-frontend, the verbosity was hiding real
      error messages.
  * Translations:
    - Added Japanese translation from Kenshi Muto. (Closes: #265023)
    - Added Swedish translation from Per Olofsson.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 12:54:34 -0300

debian-edu-install (0.638) unstable; urgency=low

  * Joey Hess
    - Add some error handling.
    - Meta-package education-tasks is pulled in automatically
      now by dependencies.
  * Translations:
    - Added Swedish translation by Per Olofsson.
    - Updated Polish translation by Bartosz Fenski.
    - Added Turkish translation by Recai Oktas.
    - Added Finish translations done by Ville Pohjanheimo.

 -- Klaus Ade Johnstad <klaus@skolelinux.no>  Mon,  9 Aug 2004 21:37:52 +0200

debian-edu-install (0.637) unstable; urgency=low

  * Petter Reinholdtsen
    - Add workaround in debian-edu-profile-udeb.prebaseconfig to
      rewrite nb_NO locale names to no_NO.  Only the latter is
      available in Woody, and we want this package to work in both
      Sarge and Woody.
    - Correct default boolean template value from 'yes' to 'true'.
  * Joey Hess
    - Remove debian-edu-apt-get, instead sarge install uses tasksel to
      install tasks with no queueing.
    - Apt-install the new education-tasks.
  * Translations:
    - Updated fr.po from Julien Valroff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Jul 2004 17:39:10 +0200

debian-edu-install (0.636) unstable; urgency=low

  * Petter Reinholdtsen
    - Improve nb translation.
  * Claus Hindsgaul
    - Updated Danish translation.
  * Maximilian Wilhelm
    - Updated German translation.
  * Bart Cornelis
    - Updated Dutch translation.
  * Bartosz Fenski
    - Added Polish translation.
  * Håvard Korsvoll
    - Updated Norwegian nynorsk (nn).
  * Klaus Ade Johnstad
    - Updated Norwegian Bokmaal (nb) translation.
    - Added info about impossible profile combinations.
  * Joey Hess
    - Preseed apt-setup/cd/another so it is not asked in sarge install.
    - Support base-config 2.32 and above, which no longer have the apt-get
      menu item, by providing a debian-edu-apt-get that does the same thing.
    - Remove the templates load hack, and have the debian-edu-install
      postinst source the confmodule, to load the templates properly.
    - Preseed exim4-config questons for sarge installs.
  * Monika Tiemann
    - Updated German Translation
  * Frederico Goncalves Guimaraes
    - Updated Brazilian Portuguese information
  * Guillem Jover
    - Updated Catalan translation

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 Jul 2004 22:34:32 +0200

debian-edu-install (0.635) woody; urgency=low

  * Petter Reinholdtsen
    - Use debconf preseeding to enable or disable
      init.d/update-hostname in debian-edu-config.
    - Improve reboot note, and update translation files with the latest
      version.
  * Alex Brasetvik
    - Enhanced language in installation templates.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Jun 2004 13:36:01 +0200

debian-edu-install (0.634) woody; urgency=low

  * Petter Reinholdtsen
    - Move CD ejection to an earlier point in the installation, to
      make it available as soon as possible for installing other
      hosts.
    - Run checks when building the package.
    - Improve automatic partition table check and disable default
      answers check as it need root access to run.
    - Move squid cache into separate partition /var/spool/squid, to
      make it easier to increase it without unmounting /var/.
    - Add 99zdebian-edu-reboot, to reboot at the end of the
      installation, to make sure all programs use the correct
      /etc/resolv.conf and /etc/localtime.
    - Remove 98debian-edu-startkdm, as it is no use to start kdm/X
      when the machine reboot the next second.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Jun 2004 21:53:47 +0200

debian-edu-install (0.633) unstable; urgency=low

  * Joey Hess
    - Fix skipping of time zone setup in sarge.
    - Fix skipping of apt-setup prompts in sarge.
    - Add base-config menu item templates.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jun 2004 15:09:31 -0400

debian-edu-install (0.632) unstable; urgency=low

  * Finn-Arne Johansen
    - Improve readability of test for empty string in 85debian-edu.
    - Fixed Partitioning on several profiles, to make sure there is room
      on /usr. The goal is to have 15% free.
      (should at least be 10% to avoid fragmenting)
  * Joey Hess
    - Link the debian-edu-questions.templates file into the menu directory
      too, so it will work with the new base-config.
    - Change a few instances of Skolelinux to Debian-Edu. Many more remain..
  * Petter Reinholdtsen
    - Moved dhcpd restart workaround from 85debian-edu to
      debian-edu-restart-services in debian-edu-config.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jun 2004 13:07:51 -0400

debian-edu-install (0.631) unstable; urgency=low

  * Klaus Ade Johnstad
    - Fixed Syntax error: Unterminated quoted string
      introduced to fix Skolelinux bug #286, Debian bug 156332

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Jun 2004 15:57:42 -0300

debian-edu-install (0.630) unstable; urgency=low

  * Finn-Arne Johansen
    - Readded patch to fix skolelinux bug #286, Debian bug 156332
  * Frederico Goncalves Guimaraes
    - Updated Brasilian Portugese debconf translation (pt_BR.po).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 May 2004 01:50:44 -0300

debian-edu-install (0.629) unstable; urgency=medium

  * Petter Reinholdtsen
    - Fix bug in jump_to().  Check for show-menu instead of menu, as the
      latter is included in this package, and thus available independend
      of the version of base-config.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 23:18:52 +0200

debian-edu-install (0.628) unstable; urgency=medium

  * Petter Reinholdtsen
    - Make it easier to enable/disable manual standalone installation.
    - Print debug output when looking for the package education-common.
    - Print debug output when jumping.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 22:57:47 +0200

debian-edu-install (0.627) unstable; urgency=low

  * Joey Hess
    - Turn off debconf in debian-edu-setup.mnu, the script accesses the DB
      directly for preseeding.
  * Petter Reinholdtsen
    - Increase the minimum /usr/ size when installing
      Main-server+LTSP-server by 32 MB to make sure more
      then 10% of the disk is available.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 May 2004 23:51:19 +0200

debian-edu-install (0.626) unstable; urgency=low

  * Joey Hess
    - Pass -n to dh_installdebconf for the udebs to avoid creating
      useless postrm scripts.
    - Add support for base-config 2.x, by populating
      /usr/lib/base-config/menu/, with .mnu files and with programs that are
      mostly links to the files used for older versions of base-config.
    - Add a jump_to function to debian-edu-common that jumps by name or
      number, depending on the base-config version.
  * Translations:
    - Updated fr.po from  Christian Perrier. (Closes: #246792)

 -- Joey Hess <joeyh@debian.org>  Fri,  7 May 2004 15:14:19 -0400

debian-edu-install (0.625) unstable; urgency=low

  * Finn-Arne Johansen
    - Removed special handling of standalone profile when it comes
      to partitioning

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 19:41:51 +0200

debian-edu-install (0.624) unstable; urgency=low

  * Petter Reinholdtsen
    - Rename all files with 'skolelinux' in the name to use 'debian-edu'
      instead.
    - Depend on debian-edu-config (>= 0.380) to get a version where
      debian-edu is used consistently for all files.
  * Updated translations
    - Danish by Claus Hindsgaul. (Closes: #245772).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Apr 2004 20:07:46 +0200

debian-edu-install (0.623) unstable; urgency=low

  * Guillem Jover
    - Run debconf-updatepo.
    - Updated and fixed Catalan debconf translation (ca.po).
  * Bart Cornelis
    - Updated Dutch translation (nl.po)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Apr 2004 00:29:59 +0200

debian-edu-install (0.622) unstable; urgency=low

  * Only change the boot order of the pcmcia init.d script if it exist.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Apr 2004 00:13:48 +0200

debian-edu-install (0.621) unstable; urgency=low

  * Bart Cornelis
    - Added Low Saxon translation, thanx to Sven Kromminga.
  * Petter Reinholdtsen
    - Change how laptops (PCMCIA) is detected, to match the check used
      by d-i hw-detect.  Look for /proc/bus/pccard/drivers instead of
      /proc/bus/pccard/00/.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 Apr 2004 22:26:51 +0200

debian-edu-install (0.620) unstable; urgency=low

  * Frederico Goncalves Guimaraes
    - Updated Brasilian Portugese debconf translation (pt_BR.po).
  * Petter Reinholdtsen
    - Change the boot order of the pcmcia script from 20 to 11
      to make sure the network is enabled before the network
      services.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Mar 2004 17:06:56 +0100

debian-edu-install (0.619) unstable; urgency=low

  * Finn-Arne Johansen
    - Removed workaround for Skolelinux bug 286, as it seems to work
      with dhcp3-server
    - Added call to install kudzu-vesa to help set up vesafb.
  * Bart Cornelis
    - Add empty debconf translation file for Low Saxon, to be
      translated soon.
  * Petter Reinholdtsen
    - Replace debconf-load-defaults and debconf-save-answers with the
      implementation of debconf-set-selections and
      debconf-set-selections from debconf version 1.4.13.  This
      required adding the debconf template owner to the default files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Mar 2004 21:57:27 +0100

debian-edu-install (0.618) unstable; urgency=low

  * Rune Nordbøe Skillingstad
    - Removed apache-fix-config (use cfengine instead).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Feb 2004 17:24:12 +0100

debian-edu-install (0.617) unstable; urgency=low

  * Petter Reinholdtsen
    - Update Danish debconf translation.  Patch from Claus
      Hindsgaul. (Closes: #234437)
    - Move some LDAP tests from ldap-server to ldap-client, as they are
      useful to run on all hosts using LDAP and not only the server.
  * Rune Nordbøe Skillingstad
    - Changed task to require bind9
    - Moved skolelinux-restart-services and skolelinux-test-install
      to debian-edu-config
  * Finn-Arne Johansen
    - Set the symlink /bin/sh to make sure bash is not used as /bin/sh
  * Håvard Korsvoll
    - Update translation Norwegian nynorsk.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Feb 2004 15:38:21 +0100

debian-edu-install (0.616) unstable; urgency=low

  * Add ash as build-depend. (Closes: #233186)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Feb 2004 10:55:22 +0100

debian-edu-install (0.615) unstable; urgency=low

  * Add missing newline in debian-edu-install.templates.  This fixes
    dialog problem introduced in 0.613.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Feb 2004 17:25:51 +0100

debian-edu-install (0.614) unstable; urgency=low

  * Per Harald Westby
    - Increased autopartkit minima for /usr and /var on a mainserver
      by 32MiB each - to have more than 10% free space (and avoid
      excessive file fragmentation) AND have more than 100MiB free
      (and have no warnings from Nagios).
    - Increased autopartkit minimum for /usr on a
      mainserver+workstation by 64MiB - to have more than 10% free
      space (and avoid excessive file fragmentation) AND have more
      than 100MiB free (and have no warnings from Nagios).
  * Petter Reinholdtsen
    - Try to avoid that the installation some times end up in
      interactive mode, by ignoring some return codes in
      base-config/25skolelinux-insert-cd.
    - Check autopartkit.d data at build time.
    - Make sure the LVM size in workstation profile is large enough
      to contain all the logical volumes in it.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Feb 2004 12:13:08 +0100

debian-edu-install (0.613) unstable; urgency=low

  * Mention debconf-set-selection in the TODO file.
  * Make sure the debian-edu-install/standalone template is available
    in debian-edu-profile-udeb where it is needed, and not
    debian-edu-install.
  * Split install config and requirement testing code into separate
    groups in base-config/07skolelinux.
  * Started on new test to detect if there are more then one
    main-server on the net.  It is disabled for now, as it need more
    testing.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Feb 2004 19:20:06 +0100

debian-edu-install (0.612) unstable; urgency=low

  * Petter Reinholdtsen
    - Drop dependency on discover for debian-edu-install, trying to make
      sure its postinst script is executed before discover is installed,
      to preseed the debconf database with info that discover should not
      create /dev/cdrom symlink.
    - Use debian-edu-* as package names in the menu entry templates.
    - Try to warn the user that the standalone installation is partly
      manual.  The text should be improved and corrected.
    - If directory /proc/bus/pccard/00 exist, assume PCMCIA bus was
      detected and install education-laptop.
  * Per Harald Westby
    - Increased minimum for /usr on a mainserver+thinclient-server by an
      additional 64MiB to have more than 10% free space and avoid
      excessive file fragmentation.
  * Bart Cornelis
    - Changed occurences of devel@skolelinux.no to debian-edu@l.d.o
      everywhere.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Feb 2004 21:24:11 +0100

debian-edu-install (0.611) unstable; urgency=low

  * Petter Reinholdtsen
    - Add Andreas Schuldei as uploader.
    - Improve error message printed when update-locale-config fail.
    - Add comment regarding a related tool in debconf-save-answers.
  * Per Harald Westby
    - Increased minimum for /usr by 64MiB to try getting above NCS's
      100MiB WARNING treshold for free space on a fresh
      install of a combined mainserver+thinclient-server.
      Increased vg_system by same amount.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Feb 2004 10:09:43 +0100

debian-edu-install (0.610) unstable; urgency=medium

  * Jump to version number to 0.610 make sure it is higher than the
    version used in Skolelinux / Woody (0.609.skolelinux.#).
  * Drop dependency for debian-edu-install-udeb on
    md-modules-2.4.22-1-386-di as autopartkit now depend on
    md-modules.
  * Depend on bootable-system in debian-edu-install-udeb instead of
    grub-installer now that grub is the default installer in d-i.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Jan 2004 22:43:25 +0100

debian-edu-install (0.1) unstable; urgency=low

  * Initial Release, based on Skolelinux version 0.607.
  * Updated copyright-file to point to the GPL text in base-files.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Jan 2004 21:11:49 +0100
